searchData={"items":[{"type":"module","title":"GoogleApi.Redis.V1","doc":"API client metadata for GoogleApi.Redis.V1.","ref":"GoogleApi.Redis.V1.html"},{"type":"function","title":"GoogleApi.Redis.V1.discovery_revision/0","doc":"","ref":"GoogleApi.Redis.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Redis.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.Redis.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_create/4","doc":"Creates a Redis cluster based on the specified properties. The creation is executed asynchronously and callers may check the returned operation to track its progress. Once the operation is completed the Redis cluster will be fully functional. The completed longrunning.Operation will contain the new cluster object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_create/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_create/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the cluster location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:clusterId` (*type:* `String.t`) - Required. The logical name of the Redis cluster in the customer project with the following restrictions: * Must contain only lowercase letters, numbers, and hyphens. * Must start with a letter. * Must be between 1-63 characters. * Must end with a number or a letter. * Must be unique within the customer project / location\n    *   `:requestId` (*type:* `String.t`) - Idempotent request UUID.\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.Cluster.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_create/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_create/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_delete/4","doc":"Deletes a specific Redis cluster. Cluster stops serving and data is deleted.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis cluster resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - Idempotent request UUID.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_delete/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_delete/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_get/4","doc":"Gets the details of a specific Redis cluster.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis cluster resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Cluster{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_get_certificate_authority/4","doc":"Gets the details of certificate authority information for Redis cluster.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_get_certificate_authority/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_get_certificate_authority/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis cluster certificate authority resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}/certificateAuthority` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_get_certificate_authority/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_get_certificate_authority/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.CertificateAuthority{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_get_certificate_authority/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_list/4","doc":"Lists all Redis clusters owned by a project in either the specified location (region) or all locations. The location should have the following format: * `projects/{project_id}/locations/{location_id}` If `location_id` is specified as `-` (wildcard), then all regions available to the project are queried, and the results are aggregated.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the cluster location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's `next_page_token` to determine if there are more clusters left to be queried.\n    *   `:pageToken` (*type:* `String.t`) - The `next_page_token` value returned from a previous ListClusters request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.ListClustersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_list/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_patch/4","doc":"Updates the metadata and configuration of a specific Redis cluster. Completed longrunning.Operation will contain the new cluster object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Identifier. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - Idempotent request UUID.\n    *   `:updateMask` (*type:* `String.t`) - Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Cluster: * `size_gb` * `replica_count`\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.Cluster.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_patch/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_patch/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_reschedule_cluster_maintenance/4","doc":"Reschedules upcoming maintenance event.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_reschedule_cluster_maintenance/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_reschedule_cluster_maintenance/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis Cluster instance resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_reschedule_cluster_maintenance/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_clusters_reschedule_cluster_maintenance/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_clusters_reschedule_cluster_maintenance/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_get/4","doc":"Gets information about a location.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Resource name for the location.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Location{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_create/4","doc":"Creates a Redis instance based on the specified tier and memory size. By default, the instance is accessible from the project's [default network](https://cloud.google.com/vpc/docs/vpc). The creation is executed asynchronously and callers may check the returned operation to track its progress. Once the operation is completed the Redis instance will be fully functional. Completed longrunning.Operation will contain the new instance object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_create/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_create/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:instanceId` (*type:* `String.t`) - Required. The logical name of the Redis instance in the customer project with the following restrictions: * Must contain only lowercase letters, numbers, and hyphens. * Must start with a letter. * Must be between 1-40 characters. * Must end with a number or a letter. * Must be unique within the customer project / location\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_create/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_create/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_delete/4","doc":"Deletes a specific Redis instance. Instance stops serving and data is deleted.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_delete/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_delete/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_export/4","doc":"Export Redis instance data into a Redis RDB format file in Cloud Storage. Redis will continue serving during this operation. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_export/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_export/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.ExportInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_export/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_export/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_failover/4","doc":"Initiates a failover of the primary node to current replica node for a specific STANDARD tier Cloud Memorystore for Redis instance.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_failover/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_failover/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.FailoverInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_failover/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_failover/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_failover/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_get/4","doc":"Gets the details of a specific Redis instance.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Instance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_get_auth_string/4","doc":"Gets the AUTH string for a Redis instance. If AUTH is not enabled for the instance the response will be empty. This information is not included in the details returned to GetInstance.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_get_auth_string/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_get_auth_string/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_get_auth_string/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_get_auth_string/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.InstanceAuthString{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_get_auth_string/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_import/4","doc":"Import a Redis RDB snapshot file from Cloud Storage into a Redis instance. Redis may stop serving during this operation. Instance state will be IMPORTING for entire operation. When complete, the instance will contain only data from the imported file. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_import/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_import/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.ImportInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_import/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_import/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_list/4","doc":"Lists all Redis instances owned by a project in either the specified location (region) or all locations. The location should have the following format: * `projects/{project_id}/locations/{location_id}` If `location_id` is specified as `-` (wildcard), then all regions available to the project are queried, and the results are aggregated.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's `next_page_token` to determine if there are more instances left to be queried.\n    *   `:pageToken` (*type:* `String.t`) - The `next_page_token` value returned from a previous ListInstances request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.ListInstancesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_list/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_patch/4","doc":"Updates the metadata and configuration of a specific Redis instance. Completed longrunning.Operation will contain the new instance object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Redis instances are managed and addressed at regional level so location_id here refers to a GCP region; however, users may choose which specific zone (or collection of zones for cross-zone instances) an instance should be provisioned in. Refer to location_id and alternative_location_id fields for more details.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Instance: * `displayName` * `labels` * `memorySizeGb` * `redisConfig` * `replica_count`\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_patch/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_patch/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_reschedule_maintenance/4","doc":"Reschedule maintenance for a given instance in a given project and location.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_reschedule_maintenance/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_reschedule_maintenance/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_reschedule_maintenance/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_reschedule_maintenance/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_reschedule_maintenance/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_upgrade/4","doc":"Upgrades Redis instance to the newer Redis version specified in the request.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_upgrade/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_upgrade/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1.Model.UpgradeInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_upgrade/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_instances_upgrade/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_instances_upgrade/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_list/4","doc":"Lists information about the supported locations for this service.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource that owns the locations collection, if applicable.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return. If not set, the service selects a default.\n    *   `:pageToken` (*type:* `String.t`) - A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.ListLocationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_list/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_delete/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Api.Projects.redis_projects_locations_operations_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1.Api.Projects.html#redis_projects_locations_operations_list/4-returns"},{"type":"module","title":"GoogleApi.Redis.V1.Connection","doc":"Handle Tesla connections for GoogleApi.Redis.V1.","ref":"GoogleApi.Redis.V1.Connection.html"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Redis.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Redis.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Redis.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Redis.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Redis.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Redis.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Redis.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Redis.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Redis.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Redis.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Redis.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Redis.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Redis.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Redis.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Redis.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Redis.V1.Connection.t/0","doc":"","ref":"GoogleApi.Redis.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.AOFConfig","doc":"Configuration of the AOF based persistence.","ref":"GoogleApi.Redis.V1.Model.AOFConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.AOFConfig","doc":"*   `appendFsync` (*type:* `String.t`, *default:* `nil`) - Optional. fsync configuration.","ref":"GoogleApi.Redis.V1.Model.AOFConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.AOFConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.AOFConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.AOFConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.AOFConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.AssetLocation","doc":"Provides the mapping of a cloud asset to a direct physical location or to a proxy that defines the location on its behalf.","ref":"GoogleApi.Redis.V1.Model.AssetLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.AssetLocation","doc":"*   `ccfeRmsPath` (*type:* `String.t`, *default:* `nil`) - Spanner path of the CCFE RMS database. It is only applicable for CCFE tenants that use CCFE RMS for storing resource metadata.\n*   `expected` (*type:* `GoogleApi.Redis.V1.Model.IsolationExpectations.t`, *default:* `nil`) - Defines the customer expectation around ZI/ZS for this asset and ZI/ZS state of the region at the time of asset creation.\n*   `extraParameters` (*type:* `list(GoogleApi.Redis.V1.Model.ExtraParameter.t)`, *default:* `nil`) - Defines extra parameters required for specific asset types.\n*   `locationData` (*type:* `list(GoogleApi.Redis.V1.Model.LocationData.t)`, *default:* `nil`) - Contains all kinds of physical location definitions for this asset.\n*   `parentAsset` (*type:* `list(GoogleApi.Redis.V1.Model.CloudAsset.t)`, *default:* `nil`) - Defines parents assets if any in order to allow later generation of child_asset_location data via child assets.","ref":"GoogleApi.Redis.V1.Model.AssetLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.AssetLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.AssetLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.AssetLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.AssetLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.AvailabilityConfiguration","doc":"Configuration for availability of database instance","ref":"GoogleApi.Redis.V1.Model.AvailabilityConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.AvailabilityConfiguration","doc":"*   `automaticFailoverRoutingConfigured` (*type:* `boolean()`, *default:* `nil`) - Checks for existence of (multi-cluster) routing configuration that allows automatic failover to a different zone/region in case of an outage. Applicable to Bigtable resources.\n*   `availabilityType` (*type:* `String.t`, *default:* `nil`) - Availability type. Potential values: * `ZONAL`: The instance serves data from only one zone. Outages in that zone affect data accessibility. * `REGIONAL`: The instance can serve data from more than one zone in a region (it is highly available).\n*   `crossRegionReplicaConfigured` (*type:* `boolean()`, *default:* `nil`) - Checks for resources that are configured to have redundancy, and ongoing replication across regions\n*   `externalReplicaConfigured` (*type:* `boolean()`, *default:* `nil`) - \n*   `promotableReplicaConfigured` (*type:* `boolean()`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.AvailabilityConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.AvailabilityConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.AvailabilityConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.AvailabilityConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.AvailabilityConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.BackupConfiguration","doc":"Configuration for automatic backups","ref":"GoogleApi.Redis.V1.Model.BackupConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.BackupConfiguration","doc":"*   `automatedBackupEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether customer visible automated backups are enabled on the instance.\n*   `backupRetentionSettings` (*type:* `GoogleApi.Redis.V1.Model.RetentionSettings.t`, *default:* `nil`) - Backup retention settings.\n*   `pointInTimeRecoveryEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether point-in-time recovery is enabled. This is optional field, if the database service does not have this feature or metadata is not available in control plane, this can be omitted.","ref":"GoogleApi.Redis.V1.Model.BackupConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.BackupConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.BackupConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.BackupConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.BackupConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.BackupRun","doc":"A backup run.","ref":"GoogleApi.Redis.V1.Model.BackupRun.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.BackupRun","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation completed. REQUIRED\n*   `error` (*type:* `GoogleApi.Redis.V1.Model.OperationError.t`, *default:* `nil`) - Information about why the backup operation failed. This is only present if the run has the FAILED status. OPTIONAL\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation started. REQUIRED\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of this run. REQUIRED","ref":"GoogleApi.Redis.V1.Model.BackupRun.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.BackupRun.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.BackupRun.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.BackupRun.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.BackupRun.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.BlobstoreLocation","doc":"Policy ID that identified data placement in Blobstore as per go/blobstore-user-guide#data-metadata-placement-and-failure-domains","ref":"GoogleApi.Redis.V1.Model.BlobstoreLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.BlobstoreLocation","doc":"*   `policyId` (*type:* `list(String.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.BlobstoreLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.BlobstoreLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.BlobstoreLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.BlobstoreLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.BlobstoreLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.CertChain","doc":"","ref":"GoogleApi.Redis.V1.Model.CertChain.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.CertChain","doc":"*   `certificates` (*type:* `list(String.t)`, *default:* `nil`) - The certificates that form the CA chain, from leaf to root order.","ref":"GoogleApi.Redis.V1.Model.CertChain.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.CertChain.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.CertChain.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.CertChain.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.CertChain.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.CertificateAuthority","doc":"Redis cluster certificate authority","ref":"GoogleApi.Redis.V1.Model.CertificateAuthority.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.CertificateAuthority","doc":"*   `managedServerCa` (*type:* `GoogleApi.Redis.V1.Model.ManagedCertificateAuthority.t`, *default:* `nil`) - \n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Unique name of the resource in this scope including project, location and cluster using the form: `projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority`","ref":"GoogleApi.Redis.V1.Model.CertificateAuthority.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.CertificateAuthority.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.CertificateAuthority.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.CertificateAuthority.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.CertificateAuthority.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.CloudAsset","doc":"","ref":"GoogleApi.Redis.V1.Model.CloudAsset.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.CloudAsset","doc":"*   `assetName` (*type:* `String.t`, *default:* `nil`) - \n*   `assetType` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.CloudAsset.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.CloudAsset.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.CloudAsset.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.CloudAsset.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.CloudAsset.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.CloudAssetComposition","doc":"","ref":"GoogleApi.Redis.V1.Model.CloudAssetComposition.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.CloudAssetComposition","doc":"*   `childAsset` (*type:* `list(GoogleApi.Redis.V1.Model.CloudAsset.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.CloudAssetComposition.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.CloudAssetComposition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.CloudAssetComposition.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.CloudAssetComposition.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.CloudAssetComposition.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Cluster","doc":"A cluster instance.","ref":"GoogleApi.Redis.V1.Model.Cluster.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Cluster","doc":"*   `authorizationMode` (*type:* `String.t`, *default:* `nil`) - Optional. The authorization mode of the Redis cluster. If not provided, auth feature is disabled for the cluster.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The timestamp associated with the cluster creation request.\n*   `crossClusterReplicationConfig` (*type:* `GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig.t`, *default:* `nil`) - Optional. Cross cluster replication config.\n*   `deletionProtectionEnabled` (*type:* `boolean()`, *default:* `nil`) - Optional. The delete operation will fail when the value is set to true.\n*   `discoveryEndpoints` (*type:* `list(GoogleApi.Redis.V1.Model.DiscoveryEndpoint.t)`, *default:* `nil`) - Output only. Endpoints created on each given network, for Redis clients to connect to the cluster. Currently only one discovery endpoint is supported.\n*   `maintenancePolicy` (*type:* `GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy.t`, *default:* `nil`) - Optional. ClusterMaintenancePolicy determines when to allow or deny updates.\n*   `maintenanceSchedule` (*type:* `GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule.t`, *default:* `nil`) - Output only. ClusterMaintenanceSchedule Output only Published maintenance schedule.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Identifier. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}`\n*   `nodeType` (*type:* `String.t`, *default:* `nil`) - Optional. The type of a redis node in the cluster. NodeType determines the underlying machine-type of a redis node.\n*   `persistenceConfig` (*type:* `GoogleApi.Redis.V1.Model.ClusterPersistenceConfig.t`, *default:* `nil`) - Optional. Persistence config (RDB, AOF) for the cluster.\n*   `preciseSizeGb` (*type:* `float()`, *default:* `nil`) - Output only. Precise value of redis memory size in GB for the entire cluster.\n*   `pscConfigs` (*type:* `list(GoogleApi.Redis.V1.Model.PscConfig.t)`, *default:* `nil`) - Required. Each PscConfig configures the consumer network where IPs will be designated to the cluster for client access through Private Service Connect Automation. Currently, only one PscConfig is supported.\n*   `pscConnections` (*type:* `list(GoogleApi.Redis.V1.Model.PscConnection.t)`, *default:* `nil`) - Output only. The list of PSC connections that are auto-created through service connectivity automation.\n*   `redisConfigs` (*type:* `map()`, *default:* `nil`) - Optional. Key/Value pairs of customer overrides for mutable Redis Configs\n*   `replicaCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of replica nodes per shard.\n*   `shardCount` (*type:* `integer()`, *default:* `nil`) - Optional. Number of shards for the Redis cluster.\n*   `sizeGb` (*type:* `integer()`, *default:* `nil`) - Output only. Redis memory size in GB for the entire cluster rounded up to the next integer.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of this cluster. Can be CREATING, READY, UPDATING, DELETING and SUSPENDED\n*   `stateInfo` (*type:* `GoogleApi.Redis.V1.Model.StateInfo.t`, *default:* `nil`) - Output only. Additional information about the current state of the cluster.\n*   `transitEncryptionMode` (*type:* `String.t`, *default:* `nil`) - Optional. The in-transit encryption for the Redis cluster. If not provided, encryption is disabled for the cluster.\n*   `uid` (*type:* `String.t`, *default:* `nil`) - Output only. System assigned, unique identifier for the cluster.\n*   `zoneDistributionConfig` (*type:* `GoogleApi.Redis.V1.Model.ZoneDistributionConfig.t`, *default:* `nil`) - Optional. This config will be used to determine how the customer wants us to distribute cluster resources within the region.","ref":"GoogleApi.Redis.V1.Model.Cluster.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Cluster.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Cluster.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Cluster.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Cluster.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy","doc":"Maintenance policy per cluster.","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was created i.e. Maintenance Window or Deny Period was assigned.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was updated i.e. Maintenance Window or Deny Period was updated.\n*   `weeklyMaintenanceWindow` (*type:* `list(GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow.t)`, *default:* `nil`) - Optional. Maintenance window that is applied to resources covered by this policy. Minimum 1. For the current version, the maximum number of weekly_maintenance_window is expected to be one.","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenancePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule","doc":"Upcoming maitenance schedule.","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The end time of any upcoming scheduled maintenance for this instance.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The start time of any upcoming scheduled maintenance for this instance.","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ClusterMaintenanceSchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ClusterPersistenceConfig","doc":"Configuration of the persistence functionality.","ref":"GoogleApi.Redis.V1.Model.ClusterPersistenceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ClusterPersistenceConfig","doc":"*   `aofConfig` (*type:* `GoogleApi.Redis.V1.Model.AOFConfig.t`, *default:* `nil`) - Optional. AOF configuration. This field will be ignored if mode is not AOF.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - Optional. The mode of persistence.\n*   `rdbConfig` (*type:* `GoogleApi.Redis.V1.Model.RDBConfig.t`, *default:* `nil`) - Optional. RDB configuration. This field will be ignored if mode is not RDB.","ref":"GoogleApi.Redis.V1.Model.ClusterPersistenceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ClusterPersistenceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ClusterPersistenceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ClusterPersistenceConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ClusterPersistenceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow","doc":"Time window specified for weekly operations.","ref":"GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow","doc":"*   `day` (*type:* `String.t`, *default:* `nil`) - Allows to define schedule that runs specified day of the week.\n*   `startTime` (*type:* `GoogleApi.Redis.V1.Model.TimeOfDay.t`, *default:* `nil`) - Start time of the window in UTC.","ref":"GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ClusterWeeklyMaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Compliance","doc":"Contains compliance information about a security standard indicating unmet recommendations.","ref":"GoogleApi.Redis.V1.Model.Compliance.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Compliance","doc":"*   `standard` (*type:* `String.t`, *default:* `nil`) - Industry-wide compliance standards or benchmarks, such as CIS, PCI, and OWASP.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Version of the standard or benchmark, for example, 1.1","ref":"GoogleApi.Redis.V1.Model.Compliance.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Compliance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Compliance.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Compliance.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Compliance.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig","doc":"Cross cluster replication config.","ref":"GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig","doc":"*   `clusterRole` (*type:* `String.t`, *default:* `nil`) - The role of the cluster in cross cluster replication.\n*   `membership` (*type:* `GoogleApi.Redis.V1.Model.Membership.t`, *default:* `nil`) - Output only. An output only view of all the member clusters participating in the cross cluster replication. This view will be provided by every member cluster irrespective of its cluster role(primary or secondary). A primary cluster can provide information about all the secondary clusters replicating from it. However, a secondary cluster only knows about the primary cluster from which it is replicating. However, for scenarios, where the primary cluster is unavailable(e.g. regional outage), a GetCluster request can be sent to any other member cluster and this field will list all the member clusters participating in cross cluster replication.\n*   `primaryCluster` (*type:* `GoogleApi.Redis.V1.Model.RemoteCluster.t`, *default:* `nil`) - Details of the primary cluster that is used as the replication source for this secondary cluster. This field is only set for a secondary cluster.\n*   `secondaryClusters` (*type:* `list(GoogleApi.Redis.V1.Model.RemoteCluster.t)`, *default:* `nil`) - List of secondary clusters that are replicating from this primary cluster. This field is only set for a primary cluster.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last time cross cluster replication config was updated.","ref":"GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.CrossClusterReplicationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.CustomMetadataData","doc":"Any custom metadata associated with the resource. e.g. A spanner instance can have multiple databases with its own unique metadata. Information for these individual databases can be captured in custom metadata data","ref":"GoogleApi.Redis.V1.Model.CustomMetadataData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.CustomMetadataData","doc":"*   `internalResourceMetadata` (*type:* `list(GoogleApi.Redis.V1.Model.InternalResourceMetadata.t)`, *default:* `nil`) - Metadata for individual internal resources in an instance. e.g. spanner instance can have multiple databases with unique configuration.","ref":"GoogleApi.Redis.V1.Model.CustomMetadataData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.CustomMetadataData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.CustomMetadataData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.CustomMetadataData.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.CustomMetadataData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.DatabaseResourceFeed","doc":"DatabaseResourceFeed is the top level proto to be used to ingest different database resource level events into Condor platform.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceFeed.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.DatabaseResourceFeed","doc":"*   `feedTimestamp` (*type:* `DateTime.t`, *default:* `nil`) - Required. Timestamp when feed is generated.\n*   `feedType` (*type:* `String.t`, *default:* `nil`) - Required. Type feed to be ingested into condor\n*   `observabilityMetricData` (*type:* `GoogleApi.Redis.V1.Model.ObservabilityMetricData.t`, *default:* `nil`) - \n*   `recommendationSignalData` (*type:* `GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData.t`, *default:* `nil`) - \n*   `resourceHealthSignalData` (*type:* `GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData.t`, *default:* `nil`) - \n*   `resourceId` (*type:* `GoogleApi.Redis.V1.Model.DatabaseResourceId.t`, *default:* `nil`) - Primary key associated with the Resource. resource_id is available in individual feed level as well.\n*   `resourceMetadata` (*type:* `GoogleApi.Redis.V1.Model.DatabaseResourceMetadata.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceFeed.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.DatabaseResourceFeed.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceFeed.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.DatabaseResourceFeed.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceFeed.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData","doc":"Common model for database resource health signal data.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData","doc":"*   `additionalMetadata` (*type:* `map()`, *default:* `nil`) - Any other additional metadata\n*   `compliance` (*type:* `list(GoogleApi.Redis.V1.Model.Compliance.t)`, *default:* `nil`) - Industry standards associated with this signal; if this signal is an issue, that could be a violation of the associated industry standard(s). For example, AUTO_BACKUP_DISABLED signal is associated with CIS GCP 1.1, CIS GCP 1.2, CIS GCP 1.3, NIST 800-53 and ISO-27001 compliance standards. If a database resource does not have automated backup enable, it will violate these following industry standards.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description associated with signal\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The last time at which the event described by this signal took place\n*   `externalUri` (*type:* `String.t`, *default:* `nil`) - The external-uri of the signal, using which more information about this signal can be obtained. In GCP, this will take user to SCC page to get more details about signals.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The name of the signal, ex: PUBLIC_SQL_INSTANCE, SQL_LOG_ERROR_VERBOSITY etc.\n*   `provider` (*type:* `String.t`, *default:* `nil`) - Cloud provider name. Ex: GCP/AWS/Azure/OnPrem/SelfManaged\n*   `resourceContainer` (*type:* `String.t`, *default:* `nil`) - Closest parent container of this resource. In GCP, 'container' refers to a Cloud Resource Manager project. It must be resource name of a Cloud Resource Manager project with the format of \"provider//\", such as \"projects/123\". For GCP provided resources, number should be project number.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Database resource name associated with the signal. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `signalClass` (*type:* `String.t`, *default:* `nil`) - Required. The class of the signal, such as if it's a THREAT or VULNERABILITY.\n*   `signalId` (*type:* `String.t`, *default:* `nil`) - Required. Unique identifier for the signal. This is an unique id which would be mainatined by partner to identify a signal.\n*   `signalSeverity` (*type:* `String.t`, *default:* `nil`) - The severity of the signal, such as if it's a HIGH or LOW severity.\n*   `signalType` (*type:* `String.t`, *default:* `nil`) - Required. Type of signal, for example, `AVAILABLE_IN_MULTIPLE_ZONES`, `LOGGING_MOST_ERRORS`, etc.\n*   `state` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceHealthSignalData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.DatabaseResourceId","doc":"DatabaseResourceId will serve as primary key for any resource ingestion event.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceId.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.DatabaseResourceId","doc":"*   `provider` (*type:* `String.t`, *default:* `nil`) - Required. Cloud provider name. Ex: GCP/AWS/Azure/OnPrem/SelfManaged\n*   `providerDescription` (*type:* `String.t`, *default:* `nil`) - Optional. Needs to be used only when the provider is PROVIDER_OTHER.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Required. The type of resource this ID is identifying. Ex redis.googleapis.com/Instance, redis.googleapis.com/Cluster, alloydb.googleapis.com/Cluster, alloydb.googleapis.com/Instance, spanner.googleapis.com/Instance, spanner.googleapis.com/Database, firestore.googleapis.com/Database, sqladmin.googleapis.com/Instance, bigtableadmin.googleapis.com/Cluster, bigtableadmin.googleapis.com/Instance REQUIRED Please refer go/condor-common-datamodel\n*   `uniqueId` (*type:* `String.t`, *default:* `nil`) - Required. A service-local token that distinguishes this resource from other resources within the same service.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceId.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.DatabaseResourceId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceId.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.DatabaseResourceId.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceId.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.DatabaseResourceMetadata","doc":"Common model for database resource instance metadata. Next ID: 21","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.DatabaseResourceMetadata","doc":"*   `availabilityConfiguration` (*type:* `GoogleApi.Redis.V1.Model.AvailabilityConfiguration.t`, *default:* `nil`) - Availability configuration for this instance\n*   `backupConfiguration` (*type:* `GoogleApi.Redis.V1.Model.BackupConfiguration.t`, *default:* `nil`) - Backup configuration for this instance\n*   `backupRun` (*type:* `GoogleApi.Redis.V1.Model.BackupRun.t`, *default:* `nil`) - Latest backup run information for this instance\n*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - The creation time of the resource, i.e. the time when resource is created and recorded in partner service.\n*   `currentState` (*type:* `String.t`, *default:* `nil`) - Current state of the instance.\n*   `customMetadata` (*type:* `GoogleApi.Redis.V1.Model.CustomMetadataData.t`, *default:* `nil`) - Any custom metadata associated with the resource\n*   `entitlements` (*type:* `list(GoogleApi.Redis.V1.Model.Entitlement.t)`, *default:* `nil`) - Entitlements associated with the resource\n*   `expectedState` (*type:* `String.t`, *default:* `nil`) - The state that the instance is expected to be in. For example, an instance state can transition to UNHEALTHY due to wrong patch update, while the expected state will remain at the HEALTHY.\n*   `id` (*type:* `GoogleApi.Redis.V1.Model.DatabaseResourceId.t`, *default:* `nil`) - Required. Unique identifier for a Database resource\n*   `instanceType` (*type:* `String.t`, *default:* `nil`) - The type of the instance. Specified at creation time.\n*   `location` (*type:* `String.t`, *default:* `nil`) - The resource location. REQUIRED\n*   `machineConfiguration` (*type:* `GoogleApi.Redis.V1.Model.MachineConfiguration.t`, *default:* `nil`) - Machine configuration for this resource.\n*   `primaryResourceId` (*type:* `GoogleApi.Redis.V1.Model.DatabaseResourceId.t`, *default:* `nil`) - Identifier for this resource's immediate parent/primary resource if the current resource is a replica or derived form of another Database resource. Else it would be NULL. REQUIRED if the immediate parent exists when first time resource is getting ingested, otherwise optional.\n*   `product` (*type:* `GoogleApi.Redis.V1.Model.Product.t`, *default:* `nil`) - The product this resource represents.\n*   `resourceContainer` (*type:* `String.t`, *default:* `nil`) - Closest parent Cloud Resource Manager container of this resource. It must be resource name of a Cloud Resource Manager project with the format of \"/\", such as \"projects/123\". For GCP provided resources, number should be project number.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Different from DatabaseResourceId.unique_id, a resource name can be reused over time. That is, after a resource named \"ABC\" is deleted, the name \"ABC\" can be used to to create a new resource within the same source. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `tagsSet` (*type:* `GoogleApi.Redis.V1.Model.Tags.t`, *default:* `nil`) - Optional. Tags associated with this resources.\n*   `updationTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the resource was updated and recorded at partner service.\n*   `userLabelSet` (*type:* `GoogleApi.Redis.V1.Model.UserLabels.t`, *default:* `nil`) - User-provided labels associated with the resource","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.DatabaseResourceMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.DatabaseResourceMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData","doc":"Common model for database resource recommendation signal data.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData","doc":"*   `additionalMetadata` (*type:* `map()`, *default:* `nil`) - Optional. Any other additional metadata specific to recommendation\n*   `lastRefreshTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. last time recommendationw as refreshed\n*   `recommendationState` (*type:* `String.t`, *default:* `nil`) - Required. Recommendation state\n*   `recommender` (*type:* `String.t`, *default:* `nil`) - Required. Name of recommendation. Examples: organizations/1234/locations/us-central1/recommenders/google.cloudsql.instance.PerformanceRecommender/recommendations/9876\n*   `recommenderId` (*type:* `String.t`, *default:* `nil`) - Required. ID of recommender. Examples: \"google.cloudsql.instance.PerformanceRecommender\"\n*   `recommenderSubtype` (*type:* `String.t`, *default:* `nil`) - Required. Contains an identifier for a subtype of recommendations produced for the same recommender. Subtype is a function of content and impact, meaning a new subtype might be added when significant changes to `content` or `primary_impact.category` are introduced. See the Recommenders section to see a list of subtypes for a given Recommender. Examples: For recommender = \"google.cloudsql.instance.PerformanceRecommender\", recommender_subtype can be \"MYSQL_HIGH_NUMBER_OF_OPEN_TABLES_BEST_PRACTICE\"/\"POSTGRES_HIGH_TRANSACTION_ID_UTILIZATION_BEST_PRACTICE\"\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Database resource name associated with the signal. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `signalType` (*type:* `String.t`, *default:* `nil`) - Required. Type of signal, for example, `SIGNAL_TYPE_IDLE`, `SIGNAL_TYPE_HIGH_NUMBER_OF_TABLES`, etc.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.DatabaseResourceRecommendationSignalData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.DirectLocationAssignment","doc":"","ref":"GoogleApi.Redis.V1.Model.DirectLocationAssignment.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.DirectLocationAssignment","doc":"*   `location` (*type:* `list(GoogleApi.Redis.V1.Model.LocationAssignment.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.DirectLocationAssignment.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.DirectLocationAssignment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.DirectLocationAssignment.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.DirectLocationAssignment.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.DirectLocationAssignment.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.DiscoveryEndpoint","doc":"Endpoints on each network, for Redis clients to connect to the cluster.","ref":"GoogleApi.Redis.V1.Model.DiscoveryEndpoint.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.DiscoveryEndpoint","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - Output only. Address of the exposed Redis endpoint used by clients to connect to the service. The address could be either IP or hostname.\n*   `port` (*type:* `integer()`, *default:* `nil`) - Output only. The port number of the exposed Redis endpoint.\n*   `pscConfig` (*type:* `GoogleApi.Redis.V1.Model.PscConfig.t`, *default:* `nil`) - Output only. Customer configuration for where the endpoint is created and accessed from.","ref":"GoogleApi.Redis.V1.Model.DiscoveryEndpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.DiscoveryEndpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.DiscoveryEndpoint.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.DiscoveryEndpoint.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.DiscoveryEndpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.Redis.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Empty","doc":"","ref":"GoogleApi.Redis.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Entitlement","doc":"Proto representing the access that a user has to a specific feature/service. NextId: 3.","ref":"GoogleApi.Redis.V1.Model.Entitlement.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Entitlement","doc":"*   `entitlementState` (*type:* `String.t`, *default:* `nil`) - The current state of user's accessibility to a feature/benefit.\n*   `type` (*type:* `String.t`, *default:* `nil`) - An enum that represents the type of this entitlement.","ref":"GoogleApi.Redis.V1.Model.Entitlement.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Entitlement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Entitlement.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Entitlement.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Entitlement.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ExportInstanceRequest","doc":"Request for Export.","ref":"GoogleApi.Redis.V1.Model.ExportInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ExportInstanceRequest","doc":"*   `outputConfig` (*type:* `GoogleApi.Redis.V1.Model.OutputConfig.t`, *default:* `nil`) - Required. Specify data to be exported.","ref":"GoogleApi.Redis.V1.Model.ExportInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ExportInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ExportInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ExportInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ExportInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ExtraParameter","doc":"Defines parameters that should only be used for specific asset types.","ref":"GoogleApi.Redis.V1.Model.ExtraParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ExtraParameter","doc":"*   `regionalMigDistributionPolicy` (*type:* `GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy.t`, *default:* `nil`) - Details about zones used by regional compute.googleapis.com/InstanceGroupManager to create instances.","ref":"GoogleApi.Redis.V1.Model.ExtraParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ExtraParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ExtraParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ExtraParameter.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ExtraParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.FailoverInstanceRequest","doc":"Request for Failover.","ref":"GoogleApi.Redis.V1.Model.FailoverInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.FailoverInstanceRequest","doc":"*   `dataProtectionMode` (*type:* `String.t`, *default:* `nil`) - Optional. Available data protection modes that the user can choose. If it's unspecified, data protection mode will be LIMITED_DATA_LOSS by default.","ref":"GoogleApi.Redis.V1.Model.FailoverInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.FailoverInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.FailoverInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.FailoverInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.FailoverInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.GcsDestination","doc":"The Cloud Storage location for the output content","ref":"GoogleApi.Redis.V1.Model.GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. Data destination URI (e.g. 'gs://my_bucket/my_object'). Existing files will be overwritten.","ref":"GoogleApi.Redis.V1.Model.GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.GcsDestination.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.GcsSource","doc":"The Cloud Storage location for the input content","ref":"GoogleApi.Redis.V1.Model.GcsSource.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.GcsSource","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. Source data URI. (e.g. 'gs://my_bucket/my_object').","ref":"GoogleApi.Redis.V1.Model.GcsSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.GcsSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.GcsSource.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.GcsSource.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.GcsSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata","doc":"This location metadata represents additional configuration options for a given location where a Redis instance may be created. All fields are output only. It is returned as content of the `google.cloud.location.Location.metadata` field.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata","doc":"*   `availableZones` (*type:* `%{optional(String.t) => GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata.t}`, *default:* `nil`) - Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by GCE. These keys can be specified in `location_id` or `alternative_location_id` fields when creating a Redis instance.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1LocationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata","doc":"Represents the v1 metadata of the long-running operation.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - API version.\n*   `cancelRequested` (*type:* `boolean()`, *default:* `nil`) - Specifies if cancellation was requested for the operation.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Creation timestamp.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - End timestamp.\n*   `statusDetail` (*type:* `String.t`, *default:* `nil`) - Operation status details.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Operation target.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Operation verb.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata","doc":"Defines specific information for a particular zone. Currently empty and reserved for future use only.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata","doc":"","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.GoogleCloudRedisV1ZoneMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ImportInstanceRequest","doc":"Request for Import.","ref":"GoogleApi.Redis.V1.Model.ImportInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ImportInstanceRequest","doc":"*   `inputConfig` (*type:* `GoogleApi.Redis.V1.Model.InputConfig.t`, *default:* `nil`) - Required. Specify data to be imported.","ref":"GoogleApi.Redis.V1.Model.ImportInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ImportInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ImportInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ImportInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ImportInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.InputConfig","doc":"The input content","ref":"GoogleApi.Redis.V1.Model.InputConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.InputConfig","doc":"*   `gcsSource` (*type:* `GoogleApi.Redis.V1.Model.GcsSource.t`, *default:* `nil`) - Google Cloud Storage location where input content is located.","ref":"GoogleApi.Redis.V1.Model.InputConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.InputConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.InputConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.InputConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.InputConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Instance","doc":"A Memorystore for Redis instance.","ref":"GoogleApi.Redis.V1.Model.Instance.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Instance","doc":"*   `authEnabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether OSS Redis AUTH is enabled for the instance. If set to \"true\" AUTH is enabled on the instance. Default value is \"false\" meaning AUTH is disabled.\n*   `secondaryIpRange` (*type:* `String.t`, *default:* `nil`) - Optional. Additional IP range for node placement. Required when enabling read replicas on an existing instance. For DIRECT_PEERING mode value must be a CIDR range of size /28, or \"auto\". For PRIVATE_SERVICE_ACCESS mode value must be the name of an allocated address range associated with the private service access connection, or \"auto\".\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the instance was created.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of this instance.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Resource labels to represent user provided metadata\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Redis instances are managed and addressed at regional level so location_id here refers to a GCP region; however, users may choose which specific zone (or collection of zones for cross-zone instances) an instance should be provisioned in. Refer to location_id and alternative_location_id fields for more details.\n*   `serverCaCerts` (*type:* `list(GoogleApi.Redis.V1.Model.TlsCertificate.t)`, *default:* `nil`) - Output only. List of server CA certificates for the instance.\n*   `availableMaintenanceVersions` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The available maintenance versions that an instance could update to.\n*   `nodes` (*type:* `list(GoogleApi.Redis.V1.Model.NodeInfo.t)`, *default:* `nil`) - Output only. Info per node.\n*   `redisConfigs` (*type:* `map()`, *default:* `nil`) - Optional. Redis configuration parameters, according to http://redis.io/topics/config. Currently, the only supported parameters are: Redis version 3.2 and newer: * maxmemory-policy * notify-keyspace-events Redis version 4.0 and newer: * activedefrag * lfu-decay-time * lfu-log-factor * maxmemory-gb Redis version 5.0 and newer: * stream-node-max-bytes * stream-node-max-entries\n*   `maintenanceSchedule` (*type:* `GoogleApi.Redis.V1.Model.MaintenanceSchedule.t`, *default:* `nil`) - Output only. Date and time of upcoming maintenance events which have been scheduled.\n*   `memorySizeGb` (*type:* `integer()`, *default:* `nil`) - Required. Redis memory size in GiB.\n*   `alternativeLocationId` (*type:* `String.t`, *default:* `nil`) - Optional. If specified, at least one node will be provisioned in this zone in addition to the zone specified in location_id. Only applicable to standard tier. If provided, it must be a different zone from the one provided in [location_id]. Additional nodes beyond the first 2 will be placed in zones selected by the service.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - An arbitrary and optional user-provided name for the instance.\n*   `redisVersion` (*type:* `String.t`, *default:* `nil`) - Optional. The version of Redis software. If not provided, latest supported version will be used. Currently, the supported values are: * `REDIS_3_2` for Redis 3.2 compatibility * `REDIS_4_0` for Redis 4.0 compatibility (default) * `REDIS_5_0` for Redis 5.0 compatibility * `REDIS_6_X` for Redis 6.x compatibility * `REDIS_7_0` for Redis 7.0 compatibility\n*   `readEndpointPort` (*type:* `integer()`, *default:* `nil`) - Output only. The port number of the exposed readonly redis endpoint. Standard tier only. Write requests should target 'port'.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - Optional. Output only. Reserved for future use.\n*   `replicaCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of replica nodes. The valid range for the Standard Tier with read replicas enabled is [1-5] and defaults to 2. If read replicas are not enabled for a Standard Tier instance, the only valid value is 1 and the default is 1. The valid value for basic tier is 0 and the default is also 0.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - Output only. Additional information about the current status of this instance, if available.\n*   `maintenancePolicy` (*type:* `GoogleApi.Redis.V1.Model.MaintenancePolicy.t`, *default:* `nil`) - Optional. The maintenance policy for the instance. If not provided, maintenance events can be performed at any time.\n*   `port` (*type:* `integer()`, *default:* `nil`) - Output only. The port number of the exposed Redis endpoint.\n*   `maintenanceVersion` (*type:* `String.t`, *default:* `nil`) - Optional. The self service update maintenance version. The version is date based such as \"20210712_00_00\".\n*   `transitEncryptionMode` (*type:* `String.t`, *default:* `nil`) - Optional. The TLS mode of the Redis instance. If not provided, TLS is disabled for the instance.\n*   `persistenceIamIdentity` (*type:* `String.t`, *default:* `nil`) - Output only. Cloud IAM identity used by import / export operations to transfer data to/from Cloud Storage. Format is \"serviceAccount:\". The value may change over time for a given instance so should be checked before each import/export operation.\n*   `suspensionReasons` (*type:* `list(String.t)`, *default:* `nil`) - Optional. reasons that causes instance in \"SUSPENDED\" state.\n*   `host` (*type:* `String.t`, *default:* `nil`) - Output only. Hostname or IP address of the exposed Redis endpoint used by clients to connect to the service.\n*   `connectMode` (*type:* `String.t`, *default:* `nil`) - Optional. The network connect mode of the Redis instance. If not provided, the connect mode defaults to DIRECT_PEERING.\n*   `tier` (*type:* `String.t`, *default:* `nil`) - Required. The service tier of the instance.\n*   `readEndpoint` (*type:* `String.t`, *default:* `nil`) - Output only. Hostname or IP address of the exposed readonly Redis endpoint. Standard tier only. Targets all healthy replica nodes in instance. Replication is asynchronous and replica nodes will exhibit some lag behind the primary. Write requests must target 'host'.\n*   `authorizedNetwork` (*type:* `String.t`, *default:* `nil`) - Optional. The full name of the Google Compute Engine [network](https://cloud.google.com/vpc/docs/vpc) to which the instance is connected. If left unspecified, the `default` network will be used.\n*   `customerManagedKey` (*type:* `String.t`, *default:* `nil`) - Optional. The KMS key reference that the customer provides when trying to create the instance.\n*   `currentLocationId` (*type:* `String.t`, *default:* `nil`) - Output only. The current zone where the Redis primary node is located. In basic tier, this will always be the same as [location_id]. In standard tier, this can be the zone of any node in the instance.\n*   `readReplicasMode` (*type:* `String.t`, *default:* `nil`) - Optional. Read replicas mode for the instance. Defaults to READ_REPLICAS_DISABLED.\n*   `persistenceConfig` (*type:* `GoogleApi.Redis.V1.Model.PersistenceConfig.t`, *default:* `nil`) - Optional. Persistence configuration parameters\n*   `reservedIpRange` (*type:* `String.t`, *default:* `nil`) - Optional. For DIRECT_PEERING mode, the CIDR range of internal addresses that are reserved for this instance. Range must be unique and non-overlapping with existing subnets in an authorized network. For PRIVATE_SERVICE_ACCESS mode, the name of one allocated IP address ranges associated with this private service access connection. If not provided, the service will choose an unused /29 block, for example, 10.0.0.0/29 or 192.168.0.0/29. For READ_REPLICAS_ENABLED the default block size is /28.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Optional. Output only. Reserved for future use.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Optional. The zone where the instance will be provisioned. If not provided, the service will choose a zone from the specified region for the instance. For standard tier, additional nodes will be added across multiple zones for protection against zonal failures. If specified, at least one node will be provisioned in this zone.","ref":"GoogleApi.Redis.V1.Model.Instance.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Instance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Instance.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Instance.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Instance.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.InstanceAuthString","doc":"Instance AUTH string details.","ref":"GoogleApi.Redis.V1.Model.InstanceAuthString.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.InstanceAuthString","doc":"*   `authString` (*type:* `String.t`, *default:* `nil`) - AUTH string set on the instance.","ref":"GoogleApi.Redis.V1.Model.InstanceAuthString.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.InstanceAuthString.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.InstanceAuthString.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.InstanceAuthString.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.InstanceAuthString.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.InternalResourceMetadata","doc":"Metadata for individual internal resources in an instance. e.g. spanner instance can have multiple databases with unique configuration settings. Similarly bigtable can have multiple clusters within same bigtable instance.","ref":"GoogleApi.Redis.V1.Model.InternalResourceMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.InternalResourceMetadata","doc":"*   `backupConfiguration` (*type:* `GoogleApi.Redis.V1.Model.BackupConfiguration.t`, *default:* `nil`) - Backup configuration for this database\n*   `backupRun` (*type:* `GoogleApi.Redis.V1.Model.BackupRun.t`, *default:* `nil`) - Information about the last backup attempt for this database\n*   `product` (*type:* `GoogleApi.Redis.V1.Model.Product.t`, *default:* `nil`) - \n*   `resourceId` (*type:* `GoogleApi.Redis.V1.Model.DatabaseResourceId.t`, *default:* `nil`) - \n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. internal resource name for spanner this will be database name e.g.\"spanner.googleapis.com/projects/123/abc/instances/inst1/databases/db1\"","ref":"GoogleApi.Redis.V1.Model.InternalResourceMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.InternalResourceMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.InternalResourceMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.InternalResourceMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.InternalResourceMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.IsolationExpectations","doc":"","ref":"GoogleApi.Redis.V1.Model.IsolationExpectations.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.IsolationExpectations","doc":"*   `requirementOverride` (*type:* `GoogleApi.Redis.V1.Model.RequirementOverride.t`, *default:* `nil`) - Explicit overrides for ZI and ZS requirements to be used for resources that should be excluded from ZI/ZS verification logic.\n*   `ziOrgPolicy` (*type:* `String.t`, *default:* `nil`) - \n*   `ziRegionPolicy` (*type:* `String.t`, *default:* `nil`) - \n*   `ziRegionState` (*type:* `String.t`, *default:* `nil`) - \n*   `zoneIsolation` (*type:* `String.t`, *default:* `nil`) - Deprecated: use zi_org_policy, zi_region_policy and zi_region_state instead for setting ZI expectations as per go/zicy-publish-physical-location.\n*   `zoneSeparation` (*type:* `String.t`, *default:* `nil`) - Deprecated: use zs_org_policy, and zs_region_stateinstead for setting Zs expectations as per go/zicy-publish-physical-location.\n*   `zsOrgPolicy` (*type:* `String.t`, *default:* `nil`) - \n*   `zsRegionState` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.IsolationExpectations.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.IsolationExpectations.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.IsolationExpectations.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.IsolationExpectations.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.IsolationExpectations.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ListClustersResponse","doc":"Response for ListClusters.","ref":"GoogleApi.Redis.V1.Model.ListClustersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ListClustersResponse","doc":"*   `clusters` (*type:* `list(GoogleApi.Redis.V1.Model.Cluster.t)`, *default:* `nil`) - A list of Redis clusters in the project in the specified location, or across all locations. If the `location_id` in the parent field of the request is \"-\", all regions available to the project are queried, and the results aggregated. If in such an aggregated query a location is unavailable, a placeholder Redis entry is included in the response with the `name` field set to a value of the form `projects/{project_id}/locations/{location_id}/clusters/`- and the `status` field set to ERROR and `status_message` field set to \"location not available for ListClusters\".\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Locations that could not be reached.","ref":"GoogleApi.Redis.V1.Model.ListClustersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ListClustersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ListClustersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ListClustersResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ListClustersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ListInstancesResponse","doc":"Response for ListInstances.","ref":"GoogleApi.Redis.V1.Model.ListInstancesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ListInstancesResponse","doc":"*   `instances` (*type:* `list(GoogleApi.Redis.V1.Model.Instance.t)`, *default:* `nil`) - A list of Redis instances in the project in the specified location, or across all locations. If the `location_id` in the parent field of the request is \"-\", all regions available to the project are queried, and the results aggregated. If in such an aggregated query a location is unavailable, a placeholder Redis entry is included in the response with the `name` field set to a value of the form `projects/{project_id}/locations/{location_id}/instances/`- and the `status` field set to ERROR and `status_message` field set to \"location not available for ListInstances\".\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Locations that could not be reached.","ref":"GoogleApi.Redis.V1.Model.ListInstancesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ListInstancesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ListInstancesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ListInstancesResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ListInstancesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ListLocationsResponse","doc":"The response message for Locations.ListLocations.","ref":"GoogleApi.Redis.V1.Model.ListLocationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ListLocationsResponse","doc":"*   `locations` (*type:* `list(GoogleApi.Redis.V1.Model.Location.t)`, *default:* `nil`) - A list of locations that matches the specified filter in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.","ref":"GoogleApi.Redis.V1.Model.ListLocationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ListLocationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ListLocationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ListLocationsResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ListLocationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.Redis.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.Redis.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.Redis.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Location","doc":"A resource that represents a Google Cloud location.","ref":"GoogleApi.Redis.V1.Model.Location.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Location","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Resource ID for the region. For example: \"us-east1\".\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by Compute Engine. These keys can be specified in `location_id` or `alternative_location_id` fields when creating a Redis instance.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Full resource name for the region. For example: \"projects/example-project/locations/us-east1\".","ref":"GoogleApi.Redis.V1.Model.Location.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Location.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Location.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Location.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Location.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.LocationAssignment","doc":"","ref":"GoogleApi.Redis.V1.Model.LocationAssignment.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.LocationAssignment","doc":"*   `location` (*type:* `String.t`, *default:* `nil`) - \n*   `locationType` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.LocationAssignment.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.LocationAssignment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.LocationAssignment.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.LocationAssignment.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.LocationAssignment.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.LocationData","doc":"","ref":"GoogleApi.Redis.V1.Model.LocationData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.LocationData","doc":"*   `blobstoreLocation` (*type:* `GoogleApi.Redis.V1.Model.BlobstoreLocation.t`, *default:* `nil`) - \n*   `childAssetLocation` (*type:* `GoogleApi.Redis.V1.Model.CloudAssetComposition.t`, *default:* `nil`) - \n*   `directLocation` (*type:* `GoogleApi.Redis.V1.Model.DirectLocationAssignment.t`, *default:* `nil`) - \n*   `gcpProjectProxy` (*type:* `GoogleApi.Redis.V1.Model.TenantProjectProxy.t`, *default:* `nil`) - \n*   `placerLocation` (*type:* `GoogleApi.Redis.V1.Model.PlacerLocation.t`, *default:* `nil`) - \n*   `spannerLocation` (*type:* `GoogleApi.Redis.V1.Model.SpannerLocation.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.LocationData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.LocationData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.LocationData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.LocationData.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.LocationData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.MachineConfiguration","doc":"MachineConfiguration describes the configuration of a machine specific to Database Resource.","ref":"GoogleApi.Redis.V1.Model.MachineConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.MachineConfiguration","doc":"*   `cpuCount` (*type:* `integer()`, *default:* `nil`) - The number of CPUs. TODO(b/342344482, b/342346271) add proto validations again after bug fix.\n*   `memorySizeInBytes` (*type:* `String.t`, *default:* `nil`) - Memory size in bytes. TODO(b/342344482, b/342346271) add proto validations again after bug fix.\n*   `shardCount` (*type:* `integer()`, *default:* `nil`) - Optional. Number of shards (if applicable).","ref":"GoogleApi.Redis.V1.Model.MachineConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.MachineConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.MachineConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.MachineConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.MachineConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.MaintenancePolicy","doc":"Maintenance policy for an instance.","ref":"GoogleApi.Redis.V1.Model.MaintenancePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.MaintenancePolicy","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was last updated.\n*   `weeklyMaintenanceWindow` (*type:* `list(GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow.t)`, *default:* `nil`) - Optional. Maintenance window that is applied to resources covered by this policy. Minimum 1. For the current version, the maximum number of weekly_window is expected to be one.","ref":"GoogleApi.Redis.V1.Model.MaintenancePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.MaintenancePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.MaintenancePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.MaintenancePolicy.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.MaintenancePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.MaintenanceSchedule","doc":"Upcoming maintenance schedule. If no maintenance is scheduled, fields are not populated.","ref":"GoogleApi.Redis.V1.Model.MaintenanceSchedule.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.MaintenanceSchedule","doc":"*   `canReschedule` (*type:* `boolean()`, *default:* `nil`) - If the scheduled maintenance can be rescheduled, default is true.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The end time of any upcoming scheduled maintenance for this instance.\n*   `scheduleDeadlineTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The deadline that the maintenance schedule start time can not go beyond, including reschedule.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The start time of any upcoming scheduled maintenance for this instance.","ref":"GoogleApi.Redis.V1.Model.MaintenanceSchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.MaintenanceSchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.MaintenanceSchedule.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.MaintenanceSchedule.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.MaintenanceSchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ManagedCertificateAuthority","doc":"","ref":"GoogleApi.Redis.V1.Model.ManagedCertificateAuthority.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ManagedCertificateAuthority","doc":"*   `caCerts` (*type:* `list(GoogleApi.Redis.V1.Model.CertChain.t)`, *default:* `nil`) - The PEM encoded CA certificate chains for redis managed server authentication","ref":"GoogleApi.Redis.V1.Model.ManagedCertificateAuthority.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ManagedCertificateAuthority.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ManagedCertificateAuthority.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ManagedCertificateAuthority.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ManagedCertificateAuthority.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Membership","doc":"An output only view of all the member clusters participating in the cross cluster replication.","ref":"GoogleApi.Redis.V1.Model.Membership.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Membership","doc":"*   `primaryCluster` (*type:* `GoogleApi.Redis.V1.Model.RemoteCluster.t`, *default:* `nil`) - Output only. The primary cluster that acts as the source of replication for the secondary clusters.\n*   `secondaryClusters` (*type:* `list(GoogleApi.Redis.V1.Model.RemoteCluster.t)`, *default:* `nil`) - Output only. The list of secondary clusters replicating from the primary cluster.","ref":"GoogleApi.Redis.V1.Model.Membership.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Membership.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Membership.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Membership.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Membership.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.NodeInfo","doc":"Node specific properties.","ref":"GoogleApi.Redis.V1.Model.NodeInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.NodeInfo","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. Node identifying string. e.g. 'node-0', 'node-1'\n*   `zone` (*type:* `String.t`, *default:* `nil`) - Output only. Location of the node.","ref":"GoogleApi.Redis.V1.Model.NodeInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.NodeInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.NodeInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.NodeInfo.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.NodeInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ObservabilityMetricData","doc":"","ref":"GoogleApi.Redis.V1.Model.ObservabilityMetricData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ObservabilityMetricData","doc":"*   `aggregationType` (*type:* `String.t`, *default:* `nil`) - Required. Type of aggregation performed on the metric.\n*   `metricType` (*type:* `String.t`, *default:* `nil`) - Required. Type of metric like CPU, Memory, etc.\n*   `observationTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The time the metric value was observed.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Database resource name associated with the signal. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `value` (*type:* `GoogleApi.Redis.V1.Model.TypedValue.t`, *default:* `nil`) - Required. Value of the metric type.","ref":"GoogleApi.Redis.V1.Model.ObservabilityMetricData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ObservabilityMetricData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ObservabilityMetricData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ObservabilityMetricData.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ObservabilityMetricData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.Redis.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.Redis.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - { `createTime`: The time the operation was created. `endTime`: The time the operation finished running. `target`: Server-defined resource path for the target of the operation. `verb`: Name of the verb executed by the operation. `statusDetail`: Human-readable status of the operation, if any. `cancelRequested`: Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`. `apiVersion`: API version used to start the operation. }\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.Redis.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.OperationError","doc":"An error that occurred during a backup creation operation.","ref":"GoogleApi.Redis.V1.Model.OperationError.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.OperationError","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - Identifies the specific error that occurred. REQUIRED\n*   `errorType` (*type:* `String.t`, *default:* `nil`) - \n*   `message` (*type:* `String.t`, *default:* `nil`) - Additional information about the error encountered. REQUIRED","ref":"GoogleApi.Redis.V1.Model.OperationError.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.OperationError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.OperationError.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.OperationError.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.OperationError.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.OperationMetadata","doc":"Pre-defined metadata fields.","ref":"GoogleApi.Redis.V1.Model.OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.OperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Output only. API version used to start the operation.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation finished running.\n*   `requestedCancellation` (*type:* `boolean()`, *default:* `nil`) - Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - Output only. Human-readable status of the operation, if any.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Output only. Server-defined resource path for the target of the operation.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the verb executed by the operation.","ref":"GoogleApi.Redis.V1.Model.OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.OperationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.OutputConfig","doc":"The output content","ref":"GoogleApi.Redis.V1.Model.OutputConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.OutputConfig","doc":"*   `gcsDestination` (*type:* `GoogleApi.Redis.V1.Model.GcsDestination.t`, *default:* `nil`) - Google Cloud Storage destination for output content.","ref":"GoogleApi.Redis.V1.Model.OutputConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.OutputConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.OutputConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.OutputConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.OutputConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.PersistenceConfig","doc":"Configuration of the persistence functionality.","ref":"GoogleApi.Redis.V1.Model.PersistenceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.PersistenceConfig","doc":"*   `persistenceMode` (*type:* `String.t`, *default:* `nil`) - Optional. Controls whether Persistence features are enabled. If not provided, the existing value will be used.\n*   `rdbNextSnapshotTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The next time that a snapshot attempt is scheduled to occur.\n*   `rdbSnapshotPeriod` (*type:* `String.t`, *default:* `nil`) - Optional. Period between RDB snapshots. Snapshots will be attempted every period starting from the provided snapshot start time. For example, a start time of 01/01/2033 06:45 and SIX_HOURS snapshot period will do nothing until 01/01/2033, and then trigger snapshots every day at 06:45, 12:45, 18:45, and 00:45 the next day, and so on. If not provided, TWENTY_FOUR_HOURS will be used as default.\n*   `rdbSnapshotStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Date and time that the first snapshot was/will be attempted, and to which future snapshots will be aligned. If not provided, the current time will be used.","ref":"GoogleApi.Redis.V1.Model.PersistenceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.PersistenceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.PersistenceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.PersistenceConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.PersistenceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.PlacerLocation","doc":"Message describing that the location of the customer resource is tied to placer allocations","ref":"GoogleApi.Redis.V1.Model.PlacerLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.PlacerLocation","doc":"*   `placerConfig` (*type:* `String.t`, *default:* `nil`) - Directory with a config related to it in placer (e.g. \"/placer/prod/home/my-root/my-dir\")","ref":"GoogleApi.Redis.V1.Model.PlacerLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.PlacerLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.PlacerLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.PlacerLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.PlacerLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Product","doc":"Product specification for Condor resources.","ref":"GoogleApi.Redis.V1.Model.Product.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Product","doc":"*   `engine` (*type:* `String.t`, *default:* `nil`) - The specific engine that the underlying database is running.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of specific database product. It could be CloudSQL, AlloyDB etc..\n*   `version` (*type:* `String.t`, *default:* `nil`) - Version of the underlying database engine. Example values: For MySQL, it could be \"8.0\", \"5.7\" etc.. For Postgres, it could be \"14\", \"15\" etc..","ref":"GoogleApi.Redis.V1.Model.Product.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Product.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Product.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Product.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Product.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.PscConfig","doc":"","ref":"GoogleApi.Redis.V1.Model.PscConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.PscConfig","doc":"*   `network` (*type:* `String.t`, *default:* `nil`) - Required. The network where the IP address of the discovery endpoint will be reserved, in the form of projects/{network_project}/global/networks/{network_id}.","ref":"GoogleApi.Redis.V1.Model.PscConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.PscConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.PscConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.PscConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.PscConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.PscConnection","doc":"Details of consumer resources in a PSC connection.","ref":"GoogleApi.Redis.V1.Model.PscConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.PscConnection","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - Required. The IP allocated on the consumer network for the PSC forwarding rule.\n*   `forwardingRule` (*type:* `String.t`, *default:* `nil`) - Required. The URI of the consumer side forwarding rule. Example: projects/{projectNumOrId}/regions/us-east1/forwardingRules/{resourceId}.\n*   `network` (*type:* `String.t`, *default:* `nil`) - Required. The consumer network where the IP address resides, in the form of projects/{project_id}/global/networks/{network_id}.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Optional. Project ID of the consumer project where the forwarding rule is created in.\n*   `pscConnectionId` (*type:* `String.t`, *default:* `nil`) - Optional. The PSC connection id of the forwarding rule connected to the service attachment.\n*   `serviceAttachment` (*type:* `String.t`, *default:* `nil`) - Required. The service attachment which is the target of the PSC connection, in the form of projects/{project-id}/regions/{region}/serviceAttachments/{service-attachment-id}.","ref":"GoogleApi.Redis.V1.Model.PscConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.PscConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.PscConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.PscConnection.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.PscConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.RDBConfig","doc":"Configuration of the RDB based persistence.","ref":"GoogleApi.Redis.V1.Model.RDBConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.RDBConfig","doc":"*   `rdbSnapshotPeriod` (*type:* `String.t`, *default:* `nil`) - Optional. Period between RDB snapshots.\n*   `rdbSnapshotStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The time that the first snapshot was/will be attempted, and to which future snapshots will be aligned. If not provided, the current time will be used.","ref":"GoogleApi.Redis.V1.Model.RDBConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.RDBConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.RDBConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.RDBConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.RDBConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata","doc":"Operation metadata returned by the CLH during resource state reconciliation.","ref":"GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata","doc":"*   `deleteResource` (*type:* `boolean()`, *default:* `nil`) - DEPRECATED. Use exclusive_action instead.\n*   `exclusiveAction` (*type:* `String.t`, *default:* `nil`) - Excluisive action returned by the CLH.","ref":"GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ReconciliationOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy","doc":"To be used for specifying the intended distribution of regional compute.googleapis.com/InstanceGroupManager instances","ref":"GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy","doc":"*   `targetShape` (*type:* `integer()`, *default:* `nil`) - The shape in which the group converges around distribution of resources. Instance of proto2 enum\n*   `zones` (*type:* `list(GoogleApi.Redis.V1.Model.ZoneConfiguration.t)`, *default:* `nil`) - Cloud zones used by regional MIG to create instances.","ref":"GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.RegionalMigDistributionPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.RemoteCluster","doc":"Details of the remote cluster associated with this cluster in a cross cluster replication setup.","ref":"GoogleApi.Redis.V1.Model.RemoteCluster.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.RemoteCluster","doc":"*   `cluster` (*type:* `String.t`, *default:* `nil`) - The full resource path of the remote cluster in the format: projects//locations//clusters/\n*   `uid` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the remote cluster.","ref":"GoogleApi.Redis.V1.Model.RemoteCluster.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.RemoteCluster.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.RemoteCluster.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.RemoteCluster.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.RemoteCluster.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.RequirementOverride","doc":"","ref":"GoogleApi.Redis.V1.Model.RequirementOverride.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.RequirementOverride","doc":"*   `ziOverride` (*type:* `String.t`, *default:* `nil`) - \n*   `zsOverride` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.RequirementOverride.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.RequirementOverride.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.RequirementOverride.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.RequirementOverride.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.RequirementOverride.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest","doc":"Request for rescheduling a cluster maintenance.","ref":"GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest","doc":"*   `rescheduleType` (*type:* `String.t`, *default:* `nil`) - Required. If reschedule type is SPECIFIC_TIME, must set up schedule_time as well.\n*   `scheduleTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.RescheduleClusterMaintenanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest","doc":"Request for RescheduleMaintenance.","ref":"GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest","doc":"*   `rescheduleType` (*type:* `String.t`, *default:* `nil`) - Required. If reschedule type is SPECIFIC_TIME, must set up schedule_time as well.\n*   `scheduleTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.RescheduleMaintenanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.RetentionSettings","doc":"","ref":"GoogleApi.Redis.V1.Model.RetentionSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.RetentionSettings","doc":"*   `quantityBasedRetention` (*type:* `integer()`, *default:* `nil`) - \n*   `retentionUnit` (*type:* `String.t`, *default:* `nil`) - The unit that 'retained_backups' represents.\n*   `timeBasedRetention` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.RetentionSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.RetentionSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.RetentionSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.RetentionSettings.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.RetentionSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.SpannerLocation","doc":"","ref":"GoogleApi.Redis.V1.Model.SpannerLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.SpannerLocation","doc":"*   `backupName` (*type:* `list(String.t)`, *default:* `nil`) - Set of backups used by the resource with name in the same format as what is available at http://table/spanner_automon.backup_metadata\n*   `dbName` (*type:* `list(String.t)`, *default:* `nil`) - Set of databases used by the resource in format /span//","ref":"GoogleApi.Redis.V1.Model.SpannerLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.SpannerLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.SpannerLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.SpannerLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.SpannerLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.StateInfo","doc":"Represents additional information about the state of the cluster.","ref":"GoogleApi.Redis.V1.Model.StateInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.StateInfo","doc":"*   `updateInfo` (*type:* `GoogleApi.Redis.V1.Model.UpdateInfo.t`, *default:* `nil`) - Describes ongoing update on the cluster when cluster state is UPDATING.","ref":"GoogleApi.Redis.V1.Model.StateInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.StateInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.StateInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.StateInfo.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.StateInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.Redis.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Redis.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.Tags","doc":"Message type for storing tags. Tags provide a way to create annotations for resources, and in some cases conditionally allow or deny policies based on whether a resource has a specific tag.","ref":"GoogleApi.Redis.V1.Model.Tags.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.Tags","doc":"*   `tags` (*type:* `map()`, *default:* `nil`) - The Tag key/value mappings.","ref":"GoogleApi.Redis.V1.Model.Tags.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.Tags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.Tags.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.Tags.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.Tags.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.TenantProjectProxy","doc":"","ref":"GoogleApi.Redis.V1.Model.TenantProjectProxy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.TenantProjectProxy","doc":"*   `projectNumbers` (*type:* `list(String.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.TenantProjectProxy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.TenantProjectProxy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.TenantProjectProxy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.TenantProjectProxy.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.TenantProjectProxy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.TimeOfDay","doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.","ref":"GoogleApi.Redis.V1.Model.TimeOfDay.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.TimeOfDay","doc":"*   `hours` (*type:* `integer()`, *default:* `nil`) - Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n*   `minutes` (*type:* `integer()`, *default:* `nil`) - Minutes of hour of day. Must be from 0 to 59.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.\n*   `seconds` (*type:* `integer()`, *default:* `nil`) - Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.Redis.V1.Model.TimeOfDay.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.TimeOfDay.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.TimeOfDay.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.TimeOfDay.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.TimeOfDay.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.TlsCertificate","doc":"TlsCertificate Resource","ref":"GoogleApi.Redis.V1.Model.TlsCertificate.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.TlsCertificate","doc":"*   `cert` (*type:* `String.t`, *default:* `nil`) - PEM representation.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the certificate was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2020-05-18T00:00:00.094Z`.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the certificate expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2020-05-18T00:00:00.094Z`.\n*   `serialNumber` (*type:* `String.t`, *default:* `nil`) - Serial number, as extracted from the certificate.\n*   `sha1Fingerprint` (*type:* `String.t`, *default:* `nil`) - Sha1 Fingerprint of the certificate.","ref":"GoogleApi.Redis.V1.Model.TlsCertificate.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.TlsCertificate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.TlsCertificate.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.TlsCertificate.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.TlsCertificate.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.TypedValue","doc":"TypedValue represents the value of a metric type. It can either be a double, an int64, a string or a bool.","ref":"GoogleApi.Redis.V1.Model.TypedValue.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.TypedValue","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - For boolean value\n*   `doubleValue` (*type:* `float()`, *default:* `nil`) - For double value\n*   `int64Value` (*type:* `String.t`, *default:* `nil`) - For integer value\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - For string value","ref":"GoogleApi.Redis.V1.Model.TypedValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.TypedValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.TypedValue.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.TypedValue.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.TypedValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.UpdateInfo","doc":"Represents information about an updating cluster.","ref":"GoogleApi.Redis.V1.Model.UpdateInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.UpdateInfo","doc":"*   `targetReplicaCount` (*type:* `integer()`, *default:* `nil`) - Target number of replica nodes per shard.\n*   `targetShardCount` (*type:* `integer()`, *default:* `nil`) - Target number of shards for redis cluster","ref":"GoogleApi.Redis.V1.Model.UpdateInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.UpdateInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.UpdateInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.UpdateInfo.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.UpdateInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.UpgradeInstanceRequest","doc":"Request for UpgradeInstance.","ref":"GoogleApi.Redis.V1.Model.UpgradeInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.UpgradeInstanceRequest","doc":"*   `redisVersion` (*type:* `String.t`, *default:* `nil`) - Required. Specifies the target version of Redis software to upgrade to.","ref":"GoogleApi.Redis.V1.Model.UpgradeInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.UpgradeInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.UpgradeInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.UpgradeInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.UpgradeInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.UserLabels","doc":"Message type for storing user labels. User labels are used to tag App Engine resources, allowing users to search for resources matching a set of labels and to aggregate usage data by labels.","ref":"GoogleApi.Redis.V1.Model.UserLabels.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.UserLabels","doc":"*   `labels` (*type:* `map()`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.UserLabels.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.UserLabels.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.UserLabels.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.UserLabels.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.UserLabels.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow","doc":"Time window in which disruptive maintenance updates occur. Non-disruptive updates can occur inside or outside this window.","ref":"GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow","doc":"*   `day` (*type:* `String.t`, *default:* `nil`) - Required. The day of week that maintenance updates occur.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - Output only. Duration of the maintenance window. The current window is fixed at 1 hour.\n*   `startTime` (*type:* `GoogleApi.Redis.V1.Model.TimeOfDay.t`, *default:* `nil`) - Required. Start time of the window in UTC time.","ref":"GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.WeeklyMaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ZoneConfiguration","doc":"","ref":"GoogleApi.Redis.V1.Model.ZoneConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ZoneConfiguration","doc":"*   `zone` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1.Model.ZoneConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ZoneConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ZoneConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ZoneConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ZoneConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1.Model.ZoneDistributionConfig","doc":"Zone distribution config for allocation of cluster resources.","ref":"GoogleApi.Redis.V1.Model.ZoneDistributionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1.Model.ZoneDistributionConfig","doc":"*   `mode` (*type:* `String.t`, *default:* `nil`) - Optional. The mode of zone distribution. Defaults to MULTI_ZONE, when not specified.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - Optional. When SINGLE ZONE distribution is selected, zone field would be used to allocate all resources in that zone. This is not applicable to MULTI_ZONE, and would be ignored for MULTI_ZONE clusters.","ref":"GoogleApi.Redis.V1.Model.ZoneDistributionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1.Model.ZoneDistributionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1.Model.ZoneDistributionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1.Model.ZoneDistributionConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1.Model.ZoneDistributionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1","doc":"API client metadata for GoogleApi.Redis.V1beta1.","ref":"GoogleApi.Redis.V1beta1.html"},{"type":"function","title":"GoogleApi.Redis.V1beta1.discovery_revision/0","doc":"","ref":"GoogleApi.Redis.V1beta1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_create/4","doc":"Creates a Redis cluster based on the specified properties. The creation is executed asynchronously and callers may check the returned operation to track its progress. Once the operation is completed the Redis cluster will be fully functional. The completed longrunning.Operation will contain the new cluster object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_create/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_create/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the cluster location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:clusterId` (*type:* `String.t`) - Required. The logical name of the Redis cluster in the customer project with the following restrictions: * Must contain only lowercase letters, numbers, and hyphens. * Must start with a letter. * Must be between 1-63 characters. * Must end with a number or a letter. * Must be unique within the customer project / location\n    *   `:requestId` (*type:* `String.t`) - Idempotent request UUID.\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.Cluster.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_create/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_create/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_delete/4","doc":"Deletes a specific Redis cluster. Cluster stops serving and data is deleted.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis cluster resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - Idempotent request UUID.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_delete/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_delete/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_get/4","doc":"Gets the details of a specific Redis cluster.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis cluster resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Cluster{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_get_certificate_authority/4","doc":"Gets the details of certificate authority information for Redis cluster.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_get_certificate_authority/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_get_certificate_authority/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis cluster certificate authority resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}/certificateAuthority` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_get_certificate_authority/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_get_certificate_authority/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.CertificateAuthority{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_get_certificate_authority/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_list/4","doc":"Lists all Redis clusters owned by a project in either the specified location (region) or all locations. The location should have the following format: * `projects/{project_id}/locations/{location_id}` If `location_id` is specified as `-` (wildcard), then all regions available to the project are queried, and the results are aggregated.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the cluster location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's `next_page_token` to determine if there are more clusters left to be queried.\n    *   `:pageToken` (*type:* `String.t`) - The `next_page_token` value returned from a previous ListClusters request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.ListClustersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_list/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_patch/4","doc":"Updates the metadata and configuration of a specific Redis cluster. Completed longrunning.Operation will contain the new cluster object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Identifier. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:requestId` (*type:* `String.t`) - Idempotent request UUID.\n    *   `:updateMask` (*type:* `String.t`) - Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Cluster: * `size_gb` * `replica_count`\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.Cluster.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_patch/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_patch/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_reschedule_cluster_maintenance/4","doc":"Reschedules upcoming maintenance event.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_reschedule_cluster_maintenance/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_reschedule_cluster_maintenance/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis Cluster instance resource name using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_reschedule_cluster_maintenance/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_clusters_reschedule_cluster_maintenance/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_clusters_reschedule_cluster_maintenance/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_get/4","doc":"Gets information about a location.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Resource name for the location.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Location{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_create/4","doc":"Creates a Redis instance based on the specified tier and memory size. By default, the instance is accessible from the project's [default network](https://cloud.google.com/vpc/docs/vpc). The creation is executed asynchronously and callers may check the returned operation to track its progress. Once the operation is completed the Redis instance will be fully functional. The completed longrunning.Operation will contain the new instance object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_create/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_create/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:instanceId` (*type:* `String.t`) - Required. The logical name of the Redis instance in the customer project with the following restrictions: * Must contain only lowercase letters, numbers, and hyphens. * Must start with a letter. * Must be between 1-40 characters. * Must end with a number or a letter. * Must be unique within the customer project / location\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_create/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_create/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_delete/4","doc":"Deletes a specific Redis instance. Instance stops serving and data is deleted.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_delete/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_delete/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_export/4","doc":"Export Redis instance data into a Redis RDB format file in Cloud Storage. Redis will continue serving during this operation. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_export/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_export/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_export/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_export/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_failover/4","doc":"Initiates a failover of the primary node to current replica node for a specific STANDARD tier Cloud Memorystore for Redis instance.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_failover/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_failover/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_failover/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_failover/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_failover/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_get/4","doc":"Gets the details of a specific Redis instance.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Instance{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_get_auth_string/4","doc":"Gets the AUTH string for a Redis instance. If AUTH is not enabled for the instance the response will be empty. This information is not included in the details returned to GetInstance.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_get_auth_string/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_get_auth_string/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_get_auth_string/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_get_auth_string/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.InstanceAuthString{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_get_auth_string/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_import/4","doc":"Import a Redis RDB snapshot file from Cloud Storage into a Redis instance. Redis may stop serving during this operation. Instance state will be IMPORTING for entire operation. When complete, the instance will contain only data from the imported file. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_import/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_import/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_import/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_import/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_list/4","doc":"Lists all Redis instances owned by a project in either the specified location (region) or all locations. The location should have the following format: * `projects/{project_id}/locations/{location_id}` If `location_id` is specified as `-` (wildcard), then all regions available to the project are queried, and the results are aggregated.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's `next_page_token` to determine if there are more instances left to be queried.\n    *   `:pageToken` (*type:* `String.t`) - The `next_page_token` value returned from a previous ListInstances request, if any.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.ListInstancesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_list/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_patch/4","doc":"Updates the metadata and configuration of a specific Redis instance. Completed longrunning.Operation will contain the new instance object in the response field. The returned operation is automatically deleted after a few hours, so there is no need to call DeleteOperation.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Redis instances are managed and addressed at regional level so location_id here refers to a GCP region; however, users may choose which specific zone (or collection of zones for cross-zone instances) an instance should be provisioned in. Refer to location_id and alternative_location_id fields for more details.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Instance: * `displayName` * `labels` * `memorySizeGb` * `redisConfig` * `replica_count`\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.Instance.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_patch/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_patch/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_reschedule_maintenance/4","doc":"Reschedule maintenance for a given instance in a given project and location.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_reschedule_maintenance/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_reschedule_maintenance/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_reschedule_maintenance/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_reschedule_maintenance/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_reschedule_maintenance/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_upgrade/4","doc":"Upgrades Redis instance to the newer Redis version specified in the request.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_upgrade/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_upgrade/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Redis instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_upgrade/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_instances_upgrade/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_instances_upgrade/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_list/4","doc":"Lists information about the supported locations for this service.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource that owns the locations collection, if applicable.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return. If not set, the service selects a default.\n    *   `:pageToken` (*type:* `String.t`) - A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.ListLocationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_list/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_delete/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_get/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_get/4-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Redis.V1beta1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Api.Projects.redis_projects_locations_operations_list/4","doc":"*   `{:ok, %GoogleApi.Redis.V1beta1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Redis.V1beta1.Api.Projects.html#redis_projects_locations_operations_list/4-returns"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Connection","doc":"Handle Tesla connections for GoogleApi.Redis.V1beta1.","ref":"GoogleApi.Redis.V1beta1.Connection.html"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Redis.V1beta1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Redis.V1beta1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Redis.V1beta1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Redis.V1beta1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Redis.V1beta1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Redis.V1beta1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Redis.V1beta1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Redis.V1beta1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Redis.V1beta1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1beta1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1beta1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1beta1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1beta1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1beta1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Redis.V1beta1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Redis.V1beta1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Redis.V1beta1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Redis.V1beta1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Redis.V1beta1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Redis.V1beta1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Redis.V1beta1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Redis.V1beta1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Connection.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.AOFConfig","doc":"Configuration of the AOF based persistence.","ref":"GoogleApi.Redis.V1beta1.Model.AOFConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.AOFConfig","doc":"*   `appendFsync` (*type:* `String.t`, *default:* `nil`) - Optional. fsync configuration.","ref":"GoogleApi.Redis.V1beta1.Model.AOFConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.AOFConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.AOFConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.AOFConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.AOFConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.AssetLocation","doc":"Provides the mapping of a cloud asset to a direct physical location or to a proxy that defines the location on its behalf.","ref":"GoogleApi.Redis.V1beta1.Model.AssetLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.AssetLocation","doc":"*   `ccfeRmsPath` (*type:* `String.t`, *default:* `nil`) - Spanner path of the CCFE RMS database. It is only applicable for CCFE tenants that use CCFE RMS for storing resource metadata.\n*   `expected` (*type:* `GoogleApi.Redis.V1beta1.Model.IsolationExpectations.t`, *default:* `nil`) - Defines the customer expectation around ZI/ZS for this asset and ZI/ZS state of the region at the time of asset creation.\n*   `extraParameters` (*type:* `list(GoogleApi.Redis.V1beta1.Model.ExtraParameter.t)`, *default:* `nil`) - Defines extra parameters required for specific asset types.\n*   `locationData` (*type:* `list(GoogleApi.Redis.V1beta1.Model.LocationData.t)`, *default:* `nil`) - Contains all kinds of physical location definitions for this asset.\n*   `parentAsset` (*type:* `list(GoogleApi.Redis.V1beta1.Model.CloudAsset.t)`, *default:* `nil`) - Defines parents assets if any in order to allow later generation of child_asset_location data via child assets.","ref":"GoogleApi.Redis.V1beta1.Model.AssetLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.AssetLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.AssetLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.AssetLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.AssetLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration","doc":"Configuration for availability of database instance","ref":"GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration","doc":"*   `automaticFailoverRoutingConfigured` (*type:* `boolean()`, *default:* `nil`) - Checks for existence of (multi-cluster) routing configuration that allows automatic failover to a different zone/region in case of an outage. Applicable to Bigtable resources.\n*   `availabilityType` (*type:* `String.t`, *default:* `nil`) - Availability type. Potential values: * `ZONAL`: The instance serves data from only one zone. Outages in that zone affect data accessibility. * `REGIONAL`: The instance can serve data from more than one zone in a region (it is highly available).\n*   `crossRegionReplicaConfigured` (*type:* `boolean()`, *default:* `nil`) - Checks for resources that are configured to have redundancy, and ongoing replication across regions\n*   `externalReplicaConfigured` (*type:* `boolean()`, *default:* `nil`) - \n*   `promotableReplicaConfigured` (*type:* `boolean()`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.BackupConfiguration","doc":"Configuration for automatic backups","ref":"GoogleApi.Redis.V1beta1.Model.BackupConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.BackupConfiguration","doc":"*   `automatedBackupEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether customer visible automated backups are enabled on the instance.\n*   `backupRetentionSettings` (*type:* `GoogleApi.Redis.V1beta1.Model.RetentionSettings.t`, *default:* `nil`) - Backup retention settings.\n*   `pointInTimeRecoveryEnabled` (*type:* `boolean()`, *default:* `nil`) - Whether point-in-time recovery is enabled. This is optional field, if the database service does not have this feature or metadata is not available in control plane, this can be omitted.","ref":"GoogleApi.Redis.V1beta1.Model.BackupConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.BackupConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.BackupConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.BackupConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.BackupConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.BackupRun","doc":"A backup run.","ref":"GoogleApi.Redis.V1beta1.Model.BackupRun.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.BackupRun","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation completed. REQUIRED\n*   `error` (*type:* `GoogleApi.Redis.V1beta1.Model.OperationError.t`, *default:* `nil`) - Information about why the backup operation failed. This is only present if the run has the FAILED status. OPTIONAL\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The time the backup operation started. REQUIRED\n*   `status` (*type:* `String.t`, *default:* `nil`) - The status of this run. REQUIRED","ref":"GoogleApi.Redis.V1beta1.Model.BackupRun.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.BackupRun.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.BackupRun.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.BackupRun.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.BackupRun.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.BlobstoreLocation","doc":"Policy ID that identified data placement in Blobstore as per go/blobstore-user-guide#data-metadata-placement-and-failure-domains","ref":"GoogleApi.Redis.V1beta1.Model.BlobstoreLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.BlobstoreLocation","doc":"*   `policyId` (*type:* `list(String.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.BlobstoreLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.BlobstoreLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.BlobstoreLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.BlobstoreLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.BlobstoreLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.CertChain","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CertChain.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.CertChain","doc":"*   `certificates` (*type:* `list(String.t)`, *default:* `nil`) - The certificates that form the CA chain, from leaf to root order.","ref":"GoogleApi.Redis.V1beta1.Model.CertChain.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.CertChain.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.CertChain.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.CertChain.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CertChain.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.CertificateAuthority","doc":"Redis cluster certificate authority","ref":"GoogleApi.Redis.V1beta1.Model.CertificateAuthority.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.CertificateAuthority","doc":"*   `managedServerCa` (*type:* `GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority.t`, *default:* `nil`) - \n*   `name` (*type:* `String.t`, *default:* `nil`) - Identifier. Unique name of the resource in this scope including project, location and cluster using the form: `projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority`","ref":"GoogleApi.Redis.V1beta1.Model.CertificateAuthority.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.CertificateAuthority.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.CertificateAuthority.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.CertificateAuthority.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CertificateAuthority.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.CloudAsset","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CloudAsset.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.CloudAsset","doc":"*   `assetName` (*type:* `String.t`, *default:* `nil`) - \n*   `assetType` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.CloudAsset.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.CloudAsset.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.CloudAsset.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.CloudAsset.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CloudAsset.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.CloudAssetComposition","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CloudAssetComposition.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.CloudAssetComposition","doc":"*   `childAsset` (*type:* `list(GoogleApi.Redis.V1beta1.Model.CloudAsset.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.CloudAssetComposition.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.CloudAssetComposition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.CloudAssetComposition.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.CloudAssetComposition.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CloudAssetComposition.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Cluster","doc":"A cluster instance.","ref":"GoogleApi.Redis.V1beta1.Model.Cluster.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Cluster","doc":"*   `authorizationMode` (*type:* `String.t`, *default:* `nil`) - Optional. The authorization mode of the Redis cluster. If not provided, auth feature is disabled for the cluster.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The timestamp associated with the cluster creation request.\n*   `crossClusterReplicationConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig.t`, *default:* `nil`) - Optional. Cross cluster replication config.\n*   `deletionProtectionEnabled` (*type:* `boolean()`, *default:* `nil`) - Optional. The delete operation will fail when the value is set to true.\n*   `discoveryEndpoints` (*type:* `list(GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint.t)`, *default:* `nil`) - Output only. Endpoints created on each given network, for Redis clients to connect to the cluster. Currently only one discovery endpoint is supported.\n*   `maintenancePolicy` (*type:* `GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy.t`, *default:* `nil`) - Optional. ClusterMaintenancePolicy determines when to allow or deny updates.\n*   `maintenanceSchedule` (*type:* `GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule.t`, *default:* `nil`) - Output only. ClusterMaintenanceSchedule Output only Published maintenance schedule.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Identifier. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/clusters/{cluster_id}`\n*   `nodeType` (*type:* `String.t`, *default:* `nil`) - Optional. The type of a redis node in the cluster. NodeType determines the underlying machine-type of a redis node.\n*   `persistenceConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig.t`, *default:* `nil`) - Optional. Persistence config (RDB, AOF) for the cluster.\n*   `preciseSizeGb` (*type:* `float()`, *default:* `nil`) - Output only. Precise value of redis memory size in GB for the entire cluster.\n*   `pscConfigs` (*type:* `list(GoogleApi.Redis.V1beta1.Model.PscConfig.t)`, *default:* `nil`) - Required. Each PscConfig configures the consumer network where IPs will be designated to the cluster for client access through Private Service Connect Automation. Currently, only one PscConfig is supported.\n*   `pscConnections` (*type:* `list(GoogleApi.Redis.V1beta1.Model.PscConnection.t)`, *default:* `nil`) - Output only. The list of PSC connections that are auto-created through service connectivity automation.\n*   `redisConfigs` (*type:* `map()`, *default:* `nil`) - Optional. Key/Value pairs of customer overrides for mutable Redis Configs\n*   `replicaCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of replica nodes per shard.\n*   `shardCount` (*type:* `integer()`, *default:* `nil`) - Optional. Number of shards for the Redis cluster.\n*   `sizeGb` (*type:* `integer()`, *default:* `nil`) - Output only. Redis memory size in GB for the entire cluster rounded up to the next integer.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of this cluster. Can be CREATING, READY, UPDATING, DELETING and SUSPENDED\n*   `stateInfo` (*type:* `GoogleApi.Redis.V1beta1.Model.StateInfo.t`, *default:* `nil`) - Output only. Additional information about the current state of the cluster.\n*   `transitEncryptionMode` (*type:* `String.t`, *default:* `nil`) - Optional. The in-transit encryption for the Redis cluster. If not provided, encryption is disabled for the cluster.\n*   `uid` (*type:* `String.t`, *default:* `nil`) - Output only. System assigned, unique identifier for the cluster.\n*   `zoneDistributionConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig.t`, *default:* `nil`) - Optional. This config will be used to determine how the customer wants us to distribute cluster resources within the region.","ref":"GoogleApi.Redis.V1beta1.Model.Cluster.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Cluster.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Cluster.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Cluster.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Cluster.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy","doc":"Maintenance policy per cluster.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was created i.e. Maintenance Window or Deny Period was assigned.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was updated i.e. Maintenance Window or Deny Period was updated.\n*   `weeklyMaintenanceWindow` (*type:* `list(GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow.t)`, *default:* `nil`) - Optional. Maintenance window that is applied to resources covered by this policy. Minimum 1. For the current version, the maximum number of weekly_maintenance_window is expected to be one.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenancePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule","doc":"Upcoming maitenance schedule.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The end time of any upcoming scheduled maintenance for this instance.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The start time of any upcoming scheduled maintenance for this instance.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ClusterMaintenanceSchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig","doc":"Configuration of the persistence functionality.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig","doc":"*   `aofConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.AOFConfig.t`, *default:* `nil`) - Optional. AOF configuration. This field will be ignored if mode is not AOF.\n*   `mode` (*type:* `String.t`, *default:* `nil`) - Optional. The mode of persistence.\n*   `rdbConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.RDBConfig.t`, *default:* `nil`) - Optional. RDB configuration. This field will be ignored if mode is not RDB.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ClusterPersistenceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow","doc":"Time window specified for weekly operations.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow","doc":"*   `day` (*type:* `String.t`, *default:* `nil`) - Allows to define schedule that runs specified day of the week.\n*   `startTime` (*type:* `GoogleApi.Redis.V1beta1.Model.TimeOfDay.t`, *default:* `nil`) - Start time of the window in UTC.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ClusterWeeklyMaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Compliance","doc":"Contains compliance information about a security standard indicating unmet recommendations.","ref":"GoogleApi.Redis.V1beta1.Model.Compliance.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Compliance","doc":"*   `standard` (*type:* `String.t`, *default:* `nil`) - Industry-wide compliance standards or benchmarks, such as CIS, PCI, and OWASP.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Version of the standard or benchmark, for example, 1.1","ref":"GoogleApi.Redis.V1beta1.Model.Compliance.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Compliance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Compliance.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Compliance.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Compliance.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig","doc":"Cross cluster replication config.","ref":"GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig","doc":"*   `clusterRole` (*type:* `String.t`, *default:* `nil`) - The role of the cluster in cross cluster replication.\n*   `membership` (*type:* `GoogleApi.Redis.V1beta1.Model.Membership.t`, *default:* `nil`) - Output only. An output only view of all the member clusters participating in the cross cluster replication. This view will be provided by every member cluster irrespective of its cluster role(primary or secondary). A primary cluster can provide information about all the secondary clusters replicating from it. However, a secondary cluster only knows about the primary cluster from which it is replicating. However, for scenarios, where the primary cluster is unavailable(e.g. regional outage), a GetCluster request can be sent to any other member cluster and this field will list all the member clusters participating in cross cluster replication.\n*   `primaryCluster` (*type:* `GoogleApi.Redis.V1beta1.Model.RemoteCluster.t`, *default:* `nil`) - Details of the primary cluster that is used as the replication source for this secondary cluster. This field is only set for a secondary cluster.\n*   `secondaryClusters` (*type:* `list(GoogleApi.Redis.V1beta1.Model.RemoteCluster.t)`, *default:* `nil`) - List of secondary clusters that are replicating from this primary cluster. This field is only set for a primary cluster.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last time cross cluster replication config was updated.","ref":"GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CrossClusterReplicationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.CustomMetadataData","doc":"Any custom metadata associated with the resource. e.g. A spanner instance can have multiple databases with its own unique metadata. Information for these individual databases can be captured in custom metadata data","ref":"GoogleApi.Redis.V1beta1.Model.CustomMetadataData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.CustomMetadataData","doc":"*   `internalResourceMetadata` (*type:* `list(GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata.t)`, *default:* `nil`) - Metadata for individual internal resources in an instance. e.g. spanner instance can have multiple databases with unique configuration.","ref":"GoogleApi.Redis.V1beta1.Model.CustomMetadataData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.CustomMetadataData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.CustomMetadataData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.CustomMetadataData.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.CustomMetadataData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed","doc":"DatabaseResourceFeed is the top level proto to be used to ingest different database resource level events into Condor platform.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed","doc":"*   `feedTimestamp` (*type:* `DateTime.t`, *default:* `nil`) - Required. Timestamp when feed is generated.\n*   `feedType` (*type:* `String.t`, *default:* `nil`) - Required. Type feed to be ingested into condor\n*   `observabilityMetricData` (*type:* `GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData.t`, *default:* `nil`) - \n*   `recommendationSignalData` (*type:* `GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData.t`, *default:* `nil`) - \n*   `resourceHealthSignalData` (*type:* `GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData.t`, *default:* `nil`) - \n*   `resourceId` (*type:* `GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.t`, *default:* `nil`) - Primary key associated with the Resource. resource_id is available in individual feed level as well.\n*   `resourceMetadata` (*type:* `GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceFeed.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData","doc":"Common model for database resource health signal data.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData","doc":"*   `additionalMetadata` (*type:* `map()`, *default:* `nil`) - Any other additional metadata\n*   `compliance` (*type:* `list(GoogleApi.Redis.V1beta1.Model.Compliance.t)`, *default:* `nil`) - Industry standards associated with this signal; if this signal is an issue, that could be a violation of the associated industry standard(s). For example, AUTO_BACKUP_DISABLED signal is associated with CIS GCP 1.1, CIS GCP 1.2, CIS GCP 1.3, NIST 800-53 and ISO-27001 compliance standards. If a database resource does not have automated backup enable, it will violate these following industry standards.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description associated with signal\n*   `eventTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The last time at which the event described by this signal took place\n*   `externalUri` (*type:* `String.t`, *default:* `nil`) - The external-uri of the signal, using which more information about this signal can be obtained. In GCP, this will take user to SCC page to get more details about signals.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The name of the signal, ex: PUBLIC_SQL_INSTANCE, SQL_LOG_ERROR_VERBOSITY etc.\n*   `provider` (*type:* `String.t`, *default:* `nil`) - Cloud provider name. Ex: GCP/AWS/Azure/OnPrem/SelfManaged\n*   `resourceContainer` (*type:* `String.t`, *default:* `nil`) - Closest parent container of this resource. In GCP, 'container' refers to a Cloud Resource Manager project. It must be resource name of a Cloud Resource Manager project with the format of \"provider//\", such as \"projects/123\". For GCP provided resources, number should be project number.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Database resource name associated with the signal. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `signalClass` (*type:* `String.t`, *default:* `nil`) - Required. The class of the signal, such as if it's a THREAT or VULNERABILITY.\n*   `signalId` (*type:* `String.t`, *default:* `nil`) - Required. Unique identifier for the signal. This is an unique id which would be mainatined by partner to identify a signal.\n*   `signalSeverity` (*type:* `String.t`, *default:* `nil`) - The severity of the signal, such as if it's a HIGH or LOW severity.\n*   `signalType` (*type:* `String.t`, *default:* `nil`) - Required. Type of signal, for example, `AVAILABLE_IN_MULTIPLE_ZONES`, `LOGGING_MOST_ERRORS`, etc.\n*   `state` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceHealthSignalData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceId","doc":"DatabaseResourceId will serve as primary key for any resource ingestion event.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.DatabaseResourceId","doc":"*   `provider` (*type:* `String.t`, *default:* `nil`) - Required. Cloud provider name. Ex: GCP/AWS/Azure/OnPrem/SelfManaged\n*   `providerDescription` (*type:* `String.t`, *default:* `nil`) - Optional. Needs to be used only when the provider is PROVIDER_OTHER.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Required. The type of resource this ID is identifying. Ex redis.googleapis.com/Instance, redis.googleapis.com/Cluster, alloydb.googleapis.com/Cluster, alloydb.googleapis.com/Instance, spanner.googleapis.com/Instance, spanner.googleapis.com/Database, firestore.googleapis.com/Database, sqladmin.googleapis.com/Instance, bigtableadmin.googleapis.com/Cluster, bigtableadmin.googleapis.com/Instance REQUIRED Please refer go/condor-common-datamodel\n*   `uniqueId` (*type:* `String.t`, *default:* `nil`) - Required. A service-local token that distinguishes this resource from other resources within the same service.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata","doc":"Common model for database resource instance metadata. Next ID: 21","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata","doc":"*   `availabilityConfiguration` (*type:* `GoogleApi.Redis.V1beta1.Model.AvailabilityConfiguration.t`, *default:* `nil`) - Availability configuration for this instance\n*   `backupConfiguration` (*type:* `GoogleApi.Redis.V1beta1.Model.BackupConfiguration.t`, *default:* `nil`) - Backup configuration for this instance\n*   `backupRun` (*type:* `GoogleApi.Redis.V1beta1.Model.BackupRun.t`, *default:* `nil`) - Latest backup run information for this instance\n*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - The creation time of the resource, i.e. the time when resource is created and recorded in partner service.\n*   `currentState` (*type:* `String.t`, *default:* `nil`) - Current state of the instance.\n*   `customMetadata` (*type:* `GoogleApi.Redis.V1beta1.Model.CustomMetadataData.t`, *default:* `nil`) - Any custom metadata associated with the resource\n*   `entitlements` (*type:* `list(GoogleApi.Redis.V1beta1.Model.Entitlement.t)`, *default:* `nil`) - Entitlements associated with the resource\n*   `expectedState` (*type:* `String.t`, *default:* `nil`) - The state that the instance is expected to be in. For example, an instance state can transition to UNHEALTHY due to wrong patch update, while the expected state will remain at the HEALTHY.\n*   `id` (*type:* `GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.t`, *default:* `nil`) - Required. Unique identifier for a Database resource\n*   `instanceType` (*type:* `String.t`, *default:* `nil`) - The type of the instance. Specified at creation time.\n*   `location` (*type:* `String.t`, *default:* `nil`) - The resource location. REQUIRED\n*   `machineConfiguration` (*type:* `GoogleApi.Redis.V1beta1.Model.MachineConfiguration.t`, *default:* `nil`) - Machine configuration for this resource.\n*   `primaryResourceId` (*type:* `GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.t`, *default:* `nil`) - Identifier for this resource's immediate parent/primary resource if the current resource is a replica or derived form of another Database resource. Else it would be NULL. REQUIRED if the immediate parent exists when first time resource is getting ingested, otherwise optional.\n*   `product` (*type:* `GoogleApi.Redis.V1beta1.Model.Product.t`, *default:* `nil`) - The product this resource represents.\n*   `resourceContainer` (*type:* `String.t`, *default:* `nil`) - Closest parent Cloud Resource Manager container of this resource. It must be resource name of a Cloud Resource Manager project with the format of \"/\", such as \"projects/123\". For GCP provided resources, number should be project number.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Different from DatabaseResourceId.unique_id, a resource name can be reused over time. That is, after a resource named \"ABC\" is deleted, the name \"ABC\" can be used to to create a new resource within the same source. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `tagsSet` (*type:* `GoogleApi.Redis.V1beta1.Model.Tags.t`, *default:* `nil`) - Optional. Tags associated with this resources.\n*   `updationTime` (*type:* `DateTime.t`, *default:* `nil`) - The time at which the resource was updated and recorded at partner service.\n*   `userLabelSet` (*type:* `GoogleApi.Redis.V1beta1.Model.UserLabels.t`, *default:* `nil`) - User-provided labels associated with the resource","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData","doc":"Common model for database resource recommendation signal data.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData","doc":"*   `additionalMetadata` (*type:* `map()`, *default:* `nil`) - Optional. Any other additional metadata specific to recommendation\n*   `lastRefreshTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. last time recommendationw as refreshed\n*   `recommendationState` (*type:* `String.t`, *default:* `nil`) - Required. Recommendation state\n*   `recommender` (*type:* `String.t`, *default:* `nil`) - Required. Name of recommendation. Examples: organizations/1234/locations/us-central1/recommenders/google.cloudsql.instance.PerformanceRecommender/recommendations/9876\n*   `recommenderId` (*type:* `String.t`, *default:* `nil`) - Required. ID of recommender. Examples: \"google.cloudsql.instance.PerformanceRecommender\"\n*   `recommenderSubtype` (*type:* `String.t`, *default:* `nil`) - Required. Contains an identifier for a subtype of recommendations produced for the same recommender. Subtype is a function of content and impact, meaning a new subtype might be added when significant changes to `content` or `primary_impact.category` are introduced. See the Recommenders section to see a list of subtypes for a given Recommender. Examples: For recommender = \"google.cloudsql.instance.PerformanceRecommender\", recommender_subtype can be \"MYSQL_HIGH_NUMBER_OF_OPEN_TABLES_BEST_PRACTICE\"/\"POSTGRES_HIGH_TRANSACTION_ID_UTILIZATION_BEST_PRACTICE\"\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Database resource name associated with the signal. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `signalType` (*type:* `String.t`, *default:* `nil`) - Required. Type of signal, for example, `SIGNAL_TYPE_IDLE`, `SIGNAL_TYPE_HIGH_NUMBER_OF_TABLES`, etc.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DatabaseResourceRecommendationSignalData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment","doc":"*   `location` (*type:* `list(GoogleApi.Redis.V1beta1.Model.LocationAssignment.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint","doc":"Endpoints on each network, for Redis clients to connect to the cluster.","ref":"GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - Output only. Address of the exposed Redis endpoint used by clients to connect to the service. The address could be either IP or hostname.\n*   `port` (*type:* `integer()`, *default:* `nil`) - Output only. The port number of the exposed Redis endpoint.\n*   `pscConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.PscConfig.t`, *default:* `nil`) - Output only. Customer configuration for where the endpoint is created and accessed from.","ref":"GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.DiscoveryEndpoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.Redis.V1beta1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Empty","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Empty.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Entitlement","doc":"Proto representing the access that a user has to a specific feature/service. NextId: 3.","ref":"GoogleApi.Redis.V1beta1.Model.Entitlement.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Entitlement","doc":"*   `entitlementState` (*type:* `String.t`, *default:* `nil`) - The current state of user's accessibility to a feature/benefit.\n*   `type` (*type:* `String.t`, *default:* `nil`) - An enum that represents the type of this entitlement.","ref":"GoogleApi.Redis.V1beta1.Model.Entitlement.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Entitlement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Entitlement.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Entitlement.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Entitlement.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest","doc":"Request for Export.","ref":"GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest","doc":"*   `outputConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.OutputConfig.t`, *default:* `nil`) - Required. Specify data to be exported.","ref":"GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ExportInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ExtraParameter","doc":"Defines parameters that should only be used for specific asset types.","ref":"GoogleApi.Redis.V1beta1.Model.ExtraParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ExtraParameter","doc":"*   `regionalMigDistributionPolicy` (*type:* `GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy.t`, *default:* `nil`) - Details about zones used by regional compute.googleapis.com/InstanceGroupManager to create instances.","ref":"GoogleApi.Redis.V1beta1.Model.ExtraParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ExtraParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ExtraParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ExtraParameter.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ExtraParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest","doc":"Request for Failover.","ref":"GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest","doc":"*   `dataProtectionMode` (*type:* `String.t`, *default:* `nil`) - Optional. Available data protection modes that the user can choose. If it's unspecified, data protection mode will be LIMITED_DATA_LOSS by default.","ref":"GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.FailoverInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.GcsDestination","doc":"The Cloud Storage location for the output content","ref":"GoogleApi.Redis.V1beta1.Model.GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. Data destination URI (e.g. 'gs://my_bucket/my_object'). Existing files will be overwritten.","ref":"GoogleApi.Redis.V1beta1.Model.GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.GcsDestination.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.GcsSource","doc":"The Cloud Storage location for the input content","ref":"GoogleApi.Redis.V1beta1.Model.GcsSource.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.GcsSource","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. Source data URI. (e.g. 'gs://my_bucket/my_object').","ref":"GoogleApi.Redis.V1beta1.Model.GcsSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.GcsSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.GcsSource.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.GcsSource.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.GcsSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata","doc":"Represents the metadata of the long-running operation.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Output only. API version used to start the operation.\n*   `cancelRequested` (*type:* `boolean()`, *default:* `nil`) - Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation finished running.\n*   `statusDetail` (*type:* `String.t`, *default:* `nil`) - Output only. Human-readable status of the operation, if any.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Output only. Server-defined resource path for the target of the operation.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the verb executed by the operation.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudCommonOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata","doc":"This location metadata represents additional configuration options for a given location where a Redis instance may be created. All fields are output only. It is returned as content of the `google.cloud.location.Location.metadata` field.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata","doc":"*   `availableZones` (*type:* `%{optional(String.t) => GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata.t}`, *default:* `nil`) - Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by GCE. These keys can be specified in `location_id` or `alternative_location_id` fields when creating a Redis instance.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1LocationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata","doc":"Defines specific information for a particular zone. Currently empty and reserved for future use only.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.GoogleCloudRedisV1beta1ZoneMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest","doc":"Request for Import.","ref":"GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest","doc":"*   `inputConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.InputConfig.t`, *default:* `nil`) - Required. Specify data to be imported.","ref":"GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ImportInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.InputConfig","doc":"The input content","ref":"GoogleApi.Redis.V1beta1.Model.InputConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.InputConfig","doc":"*   `gcsSource` (*type:* `GoogleApi.Redis.V1beta1.Model.GcsSource.t`, *default:* `nil`) - Google Cloud Storage location where input content is located.","ref":"GoogleApi.Redis.V1beta1.Model.InputConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.InputConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.InputConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.InputConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.InputConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Instance","doc":"A Memorystore for Redis instance.","ref":"GoogleApi.Redis.V1beta1.Model.Instance.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Instance","doc":"*   `authEnabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether OSS Redis AUTH is enabled for the instance. If set to \"true\" AUTH is enabled on the instance. Default value is \"false\" meaning AUTH is disabled.\n*   `secondaryIpRange` (*type:* `String.t`, *default:* `nil`) - Optional. Additional IP range for node placement. Required when enabling read replicas on an existing instance. For DIRECT_PEERING mode value must be a CIDR range of size /28, or \"auto\". For PRIVATE_SERVICE_ACCESS mode value must be the name of an allocated address range associated with the private service access connection, or \"auto\".\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the instance was created.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of this instance.\n*   `labels` (*type:* `map()`, *default:* `nil`) - Resource labels to represent user provided metadata\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Redis instances are managed and addressed at regional level so location_id here refers to a GCP region; however, users may choose which specific zone (or collection of zones for cross-zone instances) an instance should be provisioned in. Refer to location_id and alternative_location_id fields for more details.\n*   `serverCaCerts` (*type:* `list(GoogleApi.Redis.V1beta1.Model.TlsCertificate.t)`, *default:* `nil`) - Output only. List of server CA certificates for the instance.\n*   `availableMaintenanceVersions` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The available maintenance versions that an instance could update to.\n*   `nodes` (*type:* `list(GoogleApi.Redis.V1beta1.Model.NodeInfo.t)`, *default:* `nil`) - Output only. Info per node.\n*   `redisConfigs` (*type:* `map()`, *default:* `nil`) - Optional. Redis configuration parameters, according to http://redis.io/topics/config. Currently, the only supported parameters are: Redis version 3.2 and newer: * maxmemory-policy * notify-keyspace-events Redis version 4.0 and newer: * activedefrag * lfu-decay-time * lfu-log-factor * maxmemory-gb Redis version 5.0 and newer: * stream-node-max-bytes * stream-node-max-entries\n*   `maintenanceSchedule` (*type:* `GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule.t`, *default:* `nil`) - Output only. Date and time of upcoming maintenance events which have been scheduled.\n*   `memorySizeGb` (*type:* `integer()`, *default:* `nil`) - Required. Redis memory size in GiB.\n*   `alternativeLocationId` (*type:* `String.t`, *default:* `nil`) - Optional. If specified, at least one node will be provisioned in this zone in addition to the zone specified in location_id. Only applicable to standard tier. If provided, it must be a different zone from the one provided in [location_id]. Additional nodes beyond the first 2 will be placed in zones selected by the service.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - An arbitrary and optional user-provided name for the instance.\n*   `redisVersion` (*type:* `String.t`, *default:* `nil`) - Optional. The version of Redis software. If not provided, latest supported version will be used. Currently, the supported values are: * `REDIS_3_2` for Redis 3.2 compatibility * `REDIS_4_0` for Redis 4.0 compatibility (default) * `REDIS_5_0` for Redis 5.0 compatibility * `REDIS_6_X` for Redis 6.x compatibility * `REDIS_7_0` for Redis 7.0 compatibility\n*   `readEndpointPort` (*type:* `integer()`, *default:* `nil`) - Output only. The port number of the exposed readonly redis endpoint. Standard tier only. Write requests should target 'port'.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - Optional. Output only. Reserved for future use.\n*   `replicaCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of replica nodes. The valid range for the Standard Tier with read replicas enabled is [1-5] and defaults to 2. If read replicas are not enabled for a Standard Tier instance, the only valid value is 1 and the default is 1. The valid value for basic tier is 0 and the default is also 0.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - Output only. Additional information about the current status of this instance, if available.\n*   `maintenancePolicy` (*type:* `GoogleApi.Redis.V1beta1.Model.MaintenancePolicy.t`, *default:* `nil`) - Optional. The maintenance policy for the instance. If not provided, maintenance events can be performed at any time.\n*   `port` (*type:* `integer()`, *default:* `nil`) - Output only. The port number of the exposed Redis endpoint.\n*   `maintenanceVersion` (*type:* `String.t`, *default:* `nil`) - Optional. The self service update maintenance version. The version is date based such as \"20210712_00_00\".\n*   `transitEncryptionMode` (*type:* `String.t`, *default:* `nil`) - Optional. The TLS mode of the Redis instance. If not provided, TLS is disabled for the instance.\n*   `persistenceIamIdentity` (*type:* `String.t`, *default:* `nil`) - Output only. Cloud IAM identity used by import / export operations to transfer data to/from Cloud Storage. Format is \"serviceAccount:\". The value may change over time for a given instance so should be checked before each import/export operation.\n*   `suspensionReasons` (*type:* `list(String.t)`, *default:* `nil`) - Optional. reasons that causes instance in \"SUSPENDED\" state.\n*   `host` (*type:* `String.t`, *default:* `nil`) - Output only. Hostname or IP address of the exposed Redis endpoint used by clients to connect to the service.\n*   `connectMode` (*type:* `String.t`, *default:* `nil`) - Optional. The network connect mode of the Redis instance. If not provided, the connect mode defaults to DIRECT_PEERING.\n*   `tier` (*type:* `String.t`, *default:* `nil`) - Required. The service tier of the instance.\n*   `readEndpoint` (*type:* `String.t`, *default:* `nil`) - Output only. Hostname or IP address of the exposed readonly Redis endpoint. Standard tier only. Targets all healthy replica nodes in instance. Replication is asynchronous and replica nodes will exhibit some lag behind the primary. Write requests must target 'host'.\n*   `authorizedNetwork` (*type:* `String.t`, *default:* `nil`) - Optional. The full name of the Google Compute Engine [network](https://cloud.google.com/vpc/docs/vpc) to which the instance is connected. If left unspecified, the `default` network will be used.\n*   `customerManagedKey` (*type:* `String.t`, *default:* `nil`) - Optional. The KMS key reference that the customer provides when trying to create the instance.\n*   `currentLocationId` (*type:* `String.t`, *default:* `nil`) - Output only. The current zone where the Redis primary node is located. In basic tier, this will always be the same as [location_id]. In standard tier, this can be the zone of any node in the instance.\n*   `readReplicasMode` (*type:* `String.t`, *default:* `nil`) - Optional. Read replicas mode for the instance. Defaults to READ_REPLICAS_DISABLED.\n*   `persistenceConfig` (*type:* `GoogleApi.Redis.V1beta1.Model.PersistenceConfig.t`, *default:* `nil`) - Optional. Persistence configuration parameters\n*   `reservedIpRange` (*type:* `String.t`, *default:* `nil`) - Optional. For DIRECT_PEERING mode, the CIDR range of internal addresses that are reserved for this instance. Range must be unique and non-overlapping with existing subnets in an authorized network. For PRIVATE_SERVICE_ACCESS mode, the name of one allocated IP address ranges associated with this private service access connection. If not provided, the service will choose an unused /29 block, for example, 10.0.0.0/29 or 192.168.0.0/29. For READ_REPLICAS_ENABLED the default block size is /28.\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Optional. Output only. Reserved for future use.\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Optional. The zone where the instance will be provisioned. If not provided, the service will choose a zone from the specified region for the instance. For standard tier, additional nodes will be added across multiple zones for protection against zonal failures. If specified, at least one node will be provisioned in this zone.","ref":"GoogleApi.Redis.V1beta1.Model.Instance.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Instance.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Instance.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Instance.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Instance.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.InstanceAuthString","doc":"Instance AUTH string details.","ref":"GoogleApi.Redis.V1beta1.Model.InstanceAuthString.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.InstanceAuthString","doc":"*   `authString` (*type:* `String.t`, *default:* `nil`) - AUTH string set on the instance.","ref":"GoogleApi.Redis.V1beta1.Model.InstanceAuthString.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.InstanceAuthString.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.InstanceAuthString.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.InstanceAuthString.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.InstanceAuthString.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata","doc":"Metadata for individual internal resources in an instance. e.g. spanner instance can have multiple databases with unique configuration settings. Similarly bigtable can have multiple clusters within same bigtable instance.","ref":"GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata","doc":"*   `backupConfiguration` (*type:* `GoogleApi.Redis.V1beta1.Model.BackupConfiguration.t`, *default:* `nil`) - Backup configuration for this database\n*   `backupRun` (*type:* `GoogleApi.Redis.V1beta1.Model.BackupRun.t`, *default:* `nil`) - Information about the last backup attempt for this database\n*   `product` (*type:* `GoogleApi.Redis.V1beta1.Model.Product.t`, *default:* `nil`) - \n*   `resourceId` (*type:* `GoogleApi.Redis.V1beta1.Model.DatabaseResourceId.t`, *default:* `nil`) - \n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. internal resource name for spanner this will be database name e.g.\"spanner.googleapis.com/projects/123/abc/instances/inst1/databases/db1\"","ref":"GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.InternalResourceMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.IsolationExpectations","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.IsolationExpectations.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.IsolationExpectations","doc":"*   `requirementOverride` (*type:* `GoogleApi.Redis.V1beta1.Model.RequirementOverride.t`, *default:* `nil`) - Explicit overrides for ZI and ZS requirements to be used for resources that should be excluded from ZI/ZS verification logic.\n*   `ziOrgPolicy` (*type:* `String.t`, *default:* `nil`) - \n*   `ziRegionPolicy` (*type:* `String.t`, *default:* `nil`) - \n*   `ziRegionState` (*type:* `String.t`, *default:* `nil`) - \n*   `zoneIsolation` (*type:* `String.t`, *default:* `nil`) - Deprecated: use zi_org_policy, zi_region_policy and zi_region_state instead for setting ZI expectations as per go/zicy-publish-physical-location.\n*   `zoneSeparation` (*type:* `String.t`, *default:* `nil`) - Deprecated: use zs_org_policy, and zs_region_stateinstead for setting Zs expectations as per go/zicy-publish-physical-location.\n*   `zsOrgPolicy` (*type:* `String.t`, *default:* `nil`) - \n*   `zsRegionState` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.IsolationExpectations.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.IsolationExpectations.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.IsolationExpectations.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.IsolationExpectations.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.IsolationExpectations.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ListClustersResponse","doc":"Response for ListClusters.","ref":"GoogleApi.Redis.V1beta1.Model.ListClustersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ListClustersResponse","doc":"*   `clusters` (*type:* `list(GoogleApi.Redis.V1beta1.Model.Cluster.t)`, *default:* `nil`) - A list of Redis clusters in the project in the specified location, or across all locations. If the `location_id` in the parent field of the request is \"-\", all regions available to the project are queried, and the results aggregated. If in such an aggregated query a location is unavailable, a placeholder Redis entry is included in the response with the `name` field set to a value of the form `projects/{project_id}/locations/{location_id}/clusters/`- and the `status` field set to ERROR and `status_message` field set to \"location not available for ListClusters\".\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Locations that could not be reached.","ref":"GoogleApi.Redis.V1beta1.Model.ListClustersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ListClustersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ListClustersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ListClustersResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ListClustersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ListInstancesResponse","doc":"Response for ListInstances.","ref":"GoogleApi.Redis.V1beta1.Model.ListInstancesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ListInstancesResponse","doc":"*   `instances` (*type:* `list(GoogleApi.Redis.V1beta1.Model.Instance.t)`, *default:* `nil`) - A list of Redis instances in the project in the specified location, or across all locations. If the `location_id` in the parent field of the request is \"-\", all regions available to the project are queried, and the results aggregated. If in such an aggregated query a location is unavailable, a placeholder Redis entry is included in the response with the `name` field set to a value of the form `projects/{project_id}/locations/{location_id}/instances/`- and the `status` field set to ERROR and `status_message` field set to \"location not available for ListInstances\".\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `unreachable` (*type:* `list(String.t)`, *default:* `nil`) - Locations that could not be reached.","ref":"GoogleApi.Redis.V1beta1.Model.ListInstancesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ListInstancesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ListInstancesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ListInstancesResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ListInstancesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ListLocationsResponse","doc":"The response message for Locations.ListLocations.","ref":"GoogleApi.Redis.V1beta1.Model.ListLocationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ListLocationsResponse","doc":"*   `locations` (*type:* `list(GoogleApi.Redis.V1beta1.Model.Location.t)`, *default:* `nil`) - A list of locations that matches the specified filter in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.","ref":"GoogleApi.Redis.V1beta1.Model.ListLocationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ListLocationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ListLocationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ListLocationsResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ListLocationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.Redis.V1beta1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.Redis.V1beta1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.Redis.V1beta1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Location","doc":"A resource that represents a Google Cloud location.","ref":"GoogleApi.Redis.V1beta1.Model.Location.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Location","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - Resource ID for the region. For example: \"us-east1\".\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by Compute Engine. These keys can be specified in `location_id` or `alternative_location_id` fields when creating a Redis instance.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Full resource name for the region. For example: \"projects/example-project/locations/us-east1\".","ref":"GoogleApi.Redis.V1beta1.Model.Location.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Location.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Location.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Location.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Location.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.LocationAssignment","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.LocationAssignment.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.LocationAssignment","doc":"*   `location` (*type:* `String.t`, *default:* `nil`) - \n*   `locationType` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.LocationAssignment.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.LocationAssignment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.LocationAssignment.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.LocationAssignment.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.LocationAssignment.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.LocationData","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.LocationData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.LocationData","doc":"*   `blobstoreLocation` (*type:* `GoogleApi.Redis.V1beta1.Model.BlobstoreLocation.t`, *default:* `nil`) - \n*   `childAssetLocation` (*type:* `GoogleApi.Redis.V1beta1.Model.CloudAssetComposition.t`, *default:* `nil`) - \n*   `directLocation` (*type:* `GoogleApi.Redis.V1beta1.Model.DirectLocationAssignment.t`, *default:* `nil`) - \n*   `gcpProjectProxy` (*type:* `GoogleApi.Redis.V1beta1.Model.TenantProjectProxy.t`, *default:* `nil`) - \n*   `placerLocation` (*type:* `GoogleApi.Redis.V1beta1.Model.PlacerLocation.t`, *default:* `nil`) - \n*   `spannerLocation` (*type:* `GoogleApi.Redis.V1beta1.Model.SpannerLocation.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.LocationData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.LocationData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.LocationData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.LocationData.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.LocationData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.MachineConfiguration","doc":"MachineConfiguration describes the configuration of a machine specific to Database Resource.","ref":"GoogleApi.Redis.V1beta1.Model.MachineConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.MachineConfiguration","doc":"*   `cpuCount` (*type:* `integer()`, *default:* `nil`) - The number of CPUs. TODO(b/342344482, b/342346271) add proto validations again after bug fix.\n*   `memorySizeInBytes` (*type:* `String.t`, *default:* `nil`) - Memory size in bytes. TODO(b/342344482, b/342346271) add proto validations again after bug fix.\n*   `shardCount` (*type:* `integer()`, *default:* `nil`) - Optional. Number of shards (if applicable).","ref":"GoogleApi.Redis.V1beta1.Model.MachineConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.MachineConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.MachineConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.MachineConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.MachineConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.MaintenancePolicy","doc":"Maintenance policy for an instance.","ref":"GoogleApi.Redis.V1beta1.Model.MaintenancePolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.MaintenancePolicy","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was created.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the policy was last updated.\n*   `weeklyMaintenanceWindow` (*type:* `list(GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow.t)`, *default:* `nil`) - Optional. Maintenance window that is applied to resources covered by this policy. Minimum 1. For the current version, the maximum number of weekly_window is expected to be one.","ref":"GoogleApi.Redis.V1beta1.Model.MaintenancePolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.MaintenancePolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.MaintenancePolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.MaintenancePolicy.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.MaintenancePolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule","doc":"Upcoming maintenance schedule. If no maintenance is scheduled, fields are not populated.","ref":"GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule","doc":"*   `canReschedule` (*type:* `boolean()`, *default:* `nil`) - If the scheduled maintenance can be rescheduled, default is true.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The end time of any upcoming scheduled maintenance for this instance.\n*   `scheduleDeadlineTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The deadline that the maintenance schedule start time can not go beyond, including reschedule.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The start time of any upcoming scheduled maintenance for this instance.","ref":"GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.MaintenanceSchedule.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority","doc":"*   `caCerts` (*type:* `list(GoogleApi.Redis.V1beta1.Model.CertChain.t)`, *default:* `nil`) - The PEM encoded CA certificate chains for redis managed server authentication","ref":"GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ManagedCertificateAuthority.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Membership","doc":"An output only view of all the member clusters participating in the cross cluster replication.","ref":"GoogleApi.Redis.V1beta1.Model.Membership.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Membership","doc":"*   `primaryCluster` (*type:* `GoogleApi.Redis.V1beta1.Model.RemoteCluster.t`, *default:* `nil`) - Output only. The primary cluster that acts as the source of replication for the secondary clusters.\n*   `secondaryClusters` (*type:* `list(GoogleApi.Redis.V1beta1.Model.RemoteCluster.t)`, *default:* `nil`) - Output only. The list of secondary clusters replicating from the primary cluster.","ref":"GoogleApi.Redis.V1beta1.Model.Membership.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Membership.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Membership.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Membership.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Membership.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.NodeInfo","doc":"Node specific properties.","ref":"GoogleApi.Redis.V1beta1.Model.NodeInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.NodeInfo","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. Node identifying string. e.g. 'node-0', 'node-1'\n*   `zone` (*type:* `String.t`, *default:* `nil`) - Output only. Location of the node.","ref":"GoogleApi.Redis.V1beta1.Model.NodeInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.NodeInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.NodeInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.NodeInfo.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.NodeInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData","doc":"*   `aggregationType` (*type:* `String.t`, *default:* `nil`) - Required. Type of aggregation performed on the metric.\n*   `metricType` (*type:* `String.t`, *default:* `nil`) - Required. Type of metric like CPU, Memory, etc.\n*   `observationTime` (*type:* `DateTime.t`, *default:* `nil`) - Required. The time the metric value was observed.\n*   `resourceName` (*type:* `String.t`, *default:* `nil`) - Required. Database resource name associated with the signal. Resource name to follow CAIS resource_name format as noted here go/condor-common-datamodel\n*   `value` (*type:* `GoogleApi.Redis.V1beta1.Model.TypedValue.t`, *default:* `nil`) - Required. Value of the metric type.","ref":"GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ObservabilityMetricData.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.Redis.V1beta1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.Redis.V1beta1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - { `createTime`: The time the operation was created. `endTime`: The time the operation finished running. `target`: Server-defined resource path for the target of the operation. `verb`: Name of the verb executed by the operation. `statusDetail`: Human-readable status of the operation, if any. `cancelRequested`: Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`. `apiVersion`: API version used to start the operation. }\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.Redis.V1beta1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Operation.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.OperationError","doc":"An error that occurred during a backup creation operation.","ref":"GoogleApi.Redis.V1beta1.Model.OperationError.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.OperationError","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - Identifies the specific error that occurred. REQUIRED\n*   `errorType` (*type:* `String.t`, *default:* `nil`) - \n*   `message` (*type:* `String.t`, *default:* `nil`) - Additional information about the error encountered. REQUIRED","ref":"GoogleApi.Redis.V1beta1.Model.OperationError.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.OperationError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.OperationError.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.OperationError.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.OperationError.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.OperationMetadata","doc":"Pre-defined metadata fields.","ref":"GoogleApi.Redis.V1beta1.Model.OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.OperationMetadata","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Output only. API version used to start the operation.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation was created.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the operation finished running.\n*   `requestedCancellation` (*type:* `boolean()`, *default:* `nil`) - Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.\n*   `statusMessage` (*type:* `String.t`, *default:* `nil`) - Output only. Human-readable status of the operation, if any.\n*   `target` (*type:* `String.t`, *default:* `nil`) - Output only. Server-defined resource path for the target of the operation.\n*   `verb` (*type:* `String.t`, *default:* `nil`) - Output only. Name of the verb executed by the operation.","ref":"GoogleApi.Redis.V1beta1.Model.OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.OperationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.OutputConfig","doc":"The output content","ref":"GoogleApi.Redis.V1beta1.Model.OutputConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.OutputConfig","doc":"*   `gcsDestination` (*type:* `GoogleApi.Redis.V1beta1.Model.GcsDestination.t`, *default:* `nil`) - Google Cloud Storage destination for output content.","ref":"GoogleApi.Redis.V1beta1.Model.OutputConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.OutputConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.OutputConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.OutputConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.OutputConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.PersistenceConfig","doc":"Configuration of the persistence functionality.","ref":"GoogleApi.Redis.V1beta1.Model.PersistenceConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.PersistenceConfig","doc":"*   `persistenceMode` (*type:* `String.t`, *default:* `nil`) - Optional. Controls whether Persistence features are enabled. If not provided, the existing value will be used.\n*   `rdbNextSnapshotTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The next time that a snapshot attempt is scheduled to occur.\n*   `rdbSnapshotPeriod` (*type:* `String.t`, *default:* `nil`) - Optional. Period between RDB snapshots. Snapshots will be attempted every period starting from the provided snapshot start time. For example, a start time of 01/01/2033 06:45 and SIX_HOURS snapshot period will do nothing until 01/01/2033, and then trigger snapshots every day at 06:45, 12:45, 18:45, and 00:45 the next day, and so on. If not provided, TWENTY_FOUR_HOURS will be used as default.\n*   `rdbSnapshotStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Date and time that the first snapshot was/will be attempted, and to which future snapshots will be aligned. If not provided, the current time will be used.","ref":"GoogleApi.Redis.V1beta1.Model.PersistenceConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.PersistenceConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.PersistenceConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.PersistenceConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.PersistenceConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.PlacerLocation","doc":"Message describing that the location of the customer resource is tied to placer allocations","ref":"GoogleApi.Redis.V1beta1.Model.PlacerLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.PlacerLocation","doc":"*   `placerConfig` (*type:* `String.t`, *default:* `nil`) - Directory with a config related to it in placer (e.g. \"/placer/prod/home/my-root/my-dir\")","ref":"GoogleApi.Redis.V1beta1.Model.PlacerLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.PlacerLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.PlacerLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.PlacerLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.PlacerLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Product","doc":"Product specification for Condor resources.","ref":"GoogleApi.Redis.V1beta1.Model.Product.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Product","doc":"*   `engine` (*type:* `String.t`, *default:* `nil`) - The specific engine that the underlying database is running.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of specific database product. It could be CloudSQL, AlloyDB etc..\n*   `version` (*type:* `String.t`, *default:* `nil`) - Version of the underlying database engine. Example values: For MySQL, it could be \"8.0\", \"5.7\" etc.. For Postgres, it could be \"14\", \"15\" etc..","ref":"GoogleApi.Redis.V1beta1.Model.Product.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Product.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Product.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Product.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Product.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.PscConfig","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.PscConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.PscConfig","doc":"*   `network` (*type:* `String.t`, *default:* `nil`) - Required. The network where the IP address of the discovery endpoint will be reserved, in the form of projects/{network_project}/global/networks/{network_id}.","ref":"GoogleApi.Redis.V1beta1.Model.PscConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.PscConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.PscConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.PscConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.PscConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.PscConnection","doc":"Details of consumer resources in a PSC connection.","ref":"GoogleApi.Redis.V1beta1.Model.PscConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.PscConnection","doc":"*   `address` (*type:* `String.t`, *default:* `nil`) - Required. The IP allocated on the consumer network for the PSC forwarding rule.\n*   `forwardingRule` (*type:* `String.t`, *default:* `nil`) - Required. The URI of the consumer side forwarding rule. Example: projects/{projectNumOrId}/regions/us-east1/forwardingRules/{resourceId}.\n*   `network` (*type:* `String.t`, *default:* `nil`) - Required. The consumer network where the IP address resides, in the form of projects/{project_id}/global/networks/{network_id}.\n*   `projectId` (*type:* `String.t`, *default:* `nil`) - Optional. Project ID of the consumer project where the forwarding rule is created in.\n*   `pscConnectionId` (*type:* `String.t`, *default:* `nil`) - Optional. The PSC connection id of the forwarding rule connected to the service attachment.\n*   `serviceAttachment` (*type:* `String.t`, *default:* `nil`) - Required. The service attachment which is the target of the PSC connection, in the form of projects/{project-id}/regions/{region}/serviceAttachments/{service-attachment-id}.","ref":"GoogleApi.Redis.V1beta1.Model.PscConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.PscConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.PscConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.PscConnection.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.PscConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.RDBConfig","doc":"Configuration of the RDB based persistence.","ref":"GoogleApi.Redis.V1beta1.Model.RDBConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.RDBConfig","doc":"*   `rdbSnapshotPeriod` (*type:* `String.t`, *default:* `nil`) - Optional. Period between RDB snapshots.\n*   `rdbSnapshotStartTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The time that the first snapshot was/will be attempted, and to which future snapshots will be aligned. If not provided, the current time will be used.","ref":"GoogleApi.Redis.V1beta1.Model.RDBConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.RDBConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.RDBConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.RDBConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RDBConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata","doc":"Operation metadata returned by the CLH during resource state reconciliation.","ref":"GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata","doc":"*   `deleteResource` (*type:* `boolean()`, *default:* `nil`) - DEPRECATED. Use exclusive_action instead.\n*   `exclusiveAction` (*type:* `String.t`, *default:* `nil`) - Excluisive action returned by the CLH.","ref":"GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ReconciliationOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy","doc":"To be used for specifying the intended distribution of regional compute.googleapis.com/InstanceGroupManager instances","ref":"GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy","doc":"*   `targetShape` (*type:* `integer()`, *default:* `nil`) - The shape in which the group converges around distribution of resources. Instance of proto2 enum\n*   `zones` (*type:* `list(GoogleApi.Redis.V1beta1.Model.ZoneConfiguration.t)`, *default:* `nil`) - Cloud zones used by regional MIG to create instances.","ref":"GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RegionalMigDistributionPolicy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.RemoteCluster","doc":"Details of the remote cluster associated with this cluster in a cross cluster replication setup.","ref":"GoogleApi.Redis.V1beta1.Model.RemoteCluster.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.RemoteCluster","doc":"*   `cluster` (*type:* `String.t`, *default:* `nil`) - The full resource path of the remote cluster in the format: projects//locations//clusters/\n*   `uid` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the remote cluster.","ref":"GoogleApi.Redis.V1beta1.Model.RemoteCluster.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.RemoteCluster.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.RemoteCluster.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.RemoteCluster.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RemoteCluster.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.RequirementOverride","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RequirementOverride.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.RequirementOverride","doc":"*   `ziOverride` (*type:* `String.t`, *default:* `nil`) - \n*   `zsOverride` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.RequirementOverride.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.RequirementOverride.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.RequirementOverride.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.RequirementOverride.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RequirementOverride.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest","doc":"Request for rescheduling a cluster maintenance.","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest","doc":"*   `rescheduleType` (*type:* `String.t`, *default:* `nil`) - Required. If reschedule type is SPECIFIC_TIME, must set up schedule_time as well.\n*   `scheduleTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleClusterMaintenanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest","doc":"Request for RescheduleMaintenance.","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest","doc":"*   `rescheduleType` (*type:* `String.t`, *default:* `nil`) - Required. If reschedule type is SPECIFIC_TIME, must set up schedule_time as well.\n*   `scheduleTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`.","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RescheduleMaintenanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.RetentionSettings","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RetentionSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.RetentionSettings","doc":"*   `quantityBasedRetention` (*type:* `integer()`, *default:* `nil`) - \n*   `retentionUnit` (*type:* `String.t`, *default:* `nil`) - The unit that 'retained_backups' represents.\n*   `timeBasedRetention` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.RetentionSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.RetentionSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.RetentionSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.RetentionSettings.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.RetentionSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.SpannerLocation","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.SpannerLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.SpannerLocation","doc":"*   `backupName` (*type:* `list(String.t)`, *default:* `nil`) - Set of backups used by the resource with name in the same format as what is available at http://table/spanner_automon.backup_metadata\n*   `dbName` (*type:* `list(String.t)`, *default:* `nil`) - Set of databases used by the resource in format /span//","ref":"GoogleApi.Redis.V1beta1.Model.SpannerLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.SpannerLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.SpannerLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.SpannerLocation.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.SpannerLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.StateInfo","doc":"Represents additional information about the state of the cluster.","ref":"GoogleApi.Redis.V1beta1.Model.StateInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.StateInfo","doc":"*   `updateInfo` (*type:* `GoogleApi.Redis.V1beta1.Model.UpdateInfo.t`, *default:* `nil`) - Describes ongoing update on the cluster when cluster state is UPDATING.","ref":"GoogleApi.Redis.V1beta1.Model.StateInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.StateInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.StateInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.StateInfo.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.StateInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.Redis.V1beta1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Redis.V1beta1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Status.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.Tags","doc":"Message type for storing tags. Tags provide a way to create annotations for resources, and in some cases conditionally allow or deny policies based on whether a resource has a specific tag.","ref":"GoogleApi.Redis.V1beta1.Model.Tags.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.Tags","doc":"*   `tags` (*type:* `map()`, *default:* `nil`) - The Tag key/value mappings.","ref":"GoogleApi.Redis.V1beta1.Model.Tags.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.Tags.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.Tags.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.Tags.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.Tags.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.TenantProjectProxy","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.TenantProjectProxy.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.TenantProjectProxy","doc":"*   `projectNumbers` (*type:* `list(String.t)`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.TenantProjectProxy.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.TenantProjectProxy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.TenantProjectProxy.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.TenantProjectProxy.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.TenantProjectProxy.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.TimeOfDay","doc":"Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.","ref":"GoogleApi.Redis.V1beta1.Model.TimeOfDay.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.TimeOfDay","doc":"*   `hours` (*type:* `integer()`, *default:* `nil`) - Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n*   `minutes` (*type:* `integer()`, *default:* `nil`) - Minutes of hour of day. Must be from 0 to 59.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.\n*   `seconds` (*type:* `integer()`, *default:* `nil`) - Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.","ref":"GoogleApi.Redis.V1beta1.Model.TimeOfDay.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.TimeOfDay.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.TimeOfDay.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.TimeOfDay.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.TimeOfDay.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.TlsCertificate","doc":"TlsCertificate Resource","ref":"GoogleApi.Redis.V1beta1.Model.TlsCertificate.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.TlsCertificate","doc":"*   `cert` (*type:* `String.t`, *default:* `nil`) - PEM representation.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the certificate was created in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2020-05-18T00:00:00.094Z`.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the certificate expires in [RFC 3339](https://tools.ietf.org/html/rfc3339) format, for example `2020-05-18T00:00:00.094Z`.\n*   `serialNumber` (*type:* `String.t`, *default:* `nil`) - Serial number, as extracted from the certificate.\n*   `sha1Fingerprint` (*type:* `String.t`, *default:* `nil`) - Sha1 Fingerprint of the certificate.","ref":"GoogleApi.Redis.V1beta1.Model.TlsCertificate.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.TlsCertificate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.TlsCertificate.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.TlsCertificate.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.TlsCertificate.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.TypedValue","doc":"TypedValue represents the value of a metric type. It can either be a double, an int64, a string or a bool.","ref":"GoogleApi.Redis.V1beta1.Model.TypedValue.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.TypedValue","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - For boolean value\n*   `doubleValue` (*type:* `float()`, *default:* `nil`) - For double value\n*   `int64Value` (*type:* `String.t`, *default:* `nil`) - For integer value\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - For string value","ref":"GoogleApi.Redis.V1beta1.Model.TypedValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.TypedValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.TypedValue.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.TypedValue.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.TypedValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.UpdateInfo","doc":"Represents information about an updating cluster.","ref":"GoogleApi.Redis.V1beta1.Model.UpdateInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.UpdateInfo","doc":"*   `targetReplicaCount` (*type:* `integer()`, *default:* `nil`) - Target number of replica nodes per shard.\n*   `targetShardCount` (*type:* `integer()`, *default:* `nil`) - Target number of shards for redis cluster","ref":"GoogleApi.Redis.V1beta1.Model.UpdateInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.UpdateInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.UpdateInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.UpdateInfo.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.UpdateInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest","doc":"Request for UpgradeInstance.","ref":"GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest","doc":"*   `redisVersion` (*type:* `String.t`, *default:* `nil`) - Required. Specifies the target version of Redis software to upgrade to.","ref":"GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.UpgradeInstanceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.UserLabels","doc":"Message type for storing user labels. User labels are used to tag App Engine resources, allowing users to search for resources matching a set of labels and to aggregate usage data by labels.","ref":"GoogleApi.Redis.V1beta1.Model.UserLabels.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.UserLabels","doc":"*   `labels` (*type:* `map()`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.UserLabels.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.UserLabels.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.UserLabels.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.UserLabels.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.UserLabels.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow","doc":"Time window in which disruptive maintenance updates occur. Non-disruptive updates can occur inside or outside this window.","ref":"GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow","doc":"*   `day` (*type:* `String.t`, *default:* `nil`) - Required. The day of week that maintenance updates occur.\n*   `duration` (*type:* `String.t`, *default:* `nil`) - Output only. Duration of the maintenance window. The current window is fixed at 1 hour.\n*   `startTime` (*type:* `GoogleApi.Redis.V1beta1.Model.TimeOfDay.t`, *default:* `nil`) - Required. Start time of the window in UTC time.","ref":"GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.WeeklyMaintenanceWindow.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ZoneConfiguration","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ZoneConfiguration.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ZoneConfiguration","doc":"*   `zone` (*type:* `String.t`, *default:* `nil`) -","ref":"GoogleApi.Redis.V1beta1.Model.ZoneConfiguration.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ZoneConfiguration.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ZoneConfiguration.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ZoneConfiguration.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ZoneConfiguration.html#t:t/0"},{"type":"module","title":"GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig","doc":"Zone distribution config for allocation of cluster resources.","ref":"GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig","doc":"*   `mode` (*type:* `String.t`, *default:* `nil`) - Optional. The mode of zone distribution. Defaults to MULTI_ZONE, when not specified.\n*   `zone` (*type:* `String.t`, *default:* `nil`) - Optional. When SINGLE ZONE distribution is selected, zone field would be used to allocate all resources in that zone. This is not applicable to MULTI_ZONE, and would be ignored for MULTI_ZONE clusters.","ref":"GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig.t/0","doc":"","ref":"GoogleApi.Redis.V1beta1.Model.ZoneDistributionConfig.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}